﻿var cfg_netstream_header = new Array(str_ch,str_resolution,str_rate,str_encodetype,str_quality,str_maxbitrate);

var g_bNetworkPassTest = true;
var g_bDDNSPassTest = true;

function OnLoadCfgNetwork()
{
    ApplyXmlLang("cfg_net.xml");
    g_curConfigIndex = 61;
	GenSelectListEx(ddns_type, g_ddnsDomainInfo);
	GenSelectListEx(ddns_update_cycle, g_ddnsUpdateServer);
	
	ddns_type.value = 0;
    var ip1=new MultiEdit("ip1", 1);
    ip_address.innerHTML=ip1;
    ip_address.ipName = "ip1";
    var ip2=new MultiEdit("ip2", 1);
    net_mask.innerHTML=ip2;
    net_mask.ipName = "ip2";
    var ip3=new MultiEdit("ip3", 1);
    gate_way.innerHTML=ip3;
    gate_way.ipName = "ip3";
    var ip4=new MultiEdit("ip4", 1);
    net_dns1.innerHTML=ip4;
    net_dns1.ipName = "ip4";
    var ip5=new MultiEdit("ip5", 1);
    net_dns2.innerHTML=ip5;
    net_dns2.ipName = "ip5";
	var xmlConfigReq = CreateConfigReqXml(net_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	

	//zld 2010/8/18

  if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }

    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
// 	window.alert(xmlConfigReply);
	UpdateValues(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
    
    //zld 2010/8/26
	Align();
	UpdateNetwork(true);
	PPPoeEnable(document.getElementsByName("pppoe_enable")[0]);
	DdnsEnable(document.getElementsByName("ddns_enable")[0]);
    DisDomain(ddns_type);
	IPAuto(autoIp);
	IPStatic(staticIP);
	
	
}

function LoadDefaultCfgNetwork()
{
    if(GetDefaultCfg(net_config_array))
    {
        UpdateValues(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
	    UpdateNetwork(true);
	    PPPoeEnable(document.getElementsByName("pppoe_enable")[0]);
	    DdnsEnable(document.getElementsByName("ddns_enable")[0]);
        DisDomain(ddns_type);
	    IPAuto(autoIp);
	    IPStatic(staticIP);
	    g_bChange = true;
	    //zld 2010/8/26
	    Align();
    }
}

function OnLoadCfgNetStream()
{
    ApplyXmlLang("cfg_net_stream.xml");
   
    CreateListNet(id_net_stream_cfg, g_channelList.length);
   
	GenSelectListEx(all_net_resolution, g_minorEncodeProperty);
	GenSelectListEx(all_net_encode_type, g_avNetStreamInfo.supportEncodeMode);
    GenSelectListEx(all_net_maxbit_stream, g_avNetStreamInfo.supportBitrate);
    GenSelectListEx(all_net_video_quality, g_avNetStreamInfo.supportQuarlity);
    //给统一配置设定默认值
    all_net_resolution.value = g_avNetStreamInfo.defaultResolution;
    all_net_encode_type.value = g_avNetStreamInfo.defaultEncodeMode;
    all_net_maxbit_stream.value = g_avNetStreamInfo.defaultBitrate;
    all_net_video_quality.value = g_avNetStreamInfo.defaultQuarlity;
    
	var xmlConfigReq = CreateConfigReqXml(net_stream_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	
	//	window.alert(xmlConfigReply);
	//更新到页面

    //zld 2010/8/18

    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }

    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
    g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
	UpdateNetStreamCfg(true);
	
	//zld 2010/8/30 
	var net_resolution=document.getElementsByName("net_resolution");
	//zld 2010/8/30 
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	
	for(var m = 0; m < g_channelList.length; m++)
	{
	    OnNetChangeResolution(net_resolution[m], m);
	}
	
	OnAllNetChangeResolution(all_net_resolution);
	var defaultFrameRate = (g_videoFormat=="PAL") ? g_avNetStreamInfo.defaultChnnRateNumPal : g_avNetStreamInfo.defaultChnnRateNumNtsc;
    all_net_frame_rate.value = defaultFrameRate;//RealFrameRate(defaultFrameRate, g_avNetStreamInfo.defaultResolution);
	
	UpdateNetStreamCfg(true);	
	
	OnNetStreamCheckAll();
	for(var m = 0; m < net_frame_rate.length; m++)
	{
	    net_frame_rate[m].disabled = true;
	}

    var totalFrameRate = (g_videoFormat == "PAL") ? g_avNetStreamInfo.totalRatePalOnCif : g_avNetStreamInfo.totalRateNtscOnCif;
	var frameNum = 0;
    for(var ch = 0; ch < net_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(net_frame_rate[ch].value, 10), parseInt(net_resolution[ch].value, 10));
    }

    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
    //zld 2010/8/26
	Align();
}

function LoadDefaultCfgNetStream()
{
    if(GetDefaultCfg(net_stream_array))
    {
        UpdateNetStreamCfg(true);
        
        //zld 2010/8/30 
	    var net_resolution=document.getElementsByName("net_resolution");
	    //zld 2010/8/30 
	    var net_frame_rate=document.getElementsByName("net_frame_rate");
	    
        for(var m = 0; m < g_channelList.length; m++)
	    {
	        OnNetChangeResolution(net_resolution[m], m);
	    }
	    OnAllNetChangeResolution(all_net_resolution);
	    var defaultFrameRate = (g_videoFormat=="PAL") ? g_avNetStreamInfo.defaultChnnRateNumPal : g_avNetStreamInfo.defaultChnnRateNumNtsc;
        all_net_frame_rate.value = defaultFrameRate;//RealFrameRate(defaultFrameRate, g_avNetStreamInfo.defaultResolution);
	
	    UpdateNetStreamCfg(true);	
	    OnNetStreamCheckAll();

        for(var m = 0; m < net_frame_rate.length; m++)
	    {
	        net_frame_rate[m].disabled = true;
	    }
	    g_bChange = true;
	
	    var totalFrameRate = (g_videoFormat == "PAL") ? g_avNetStreamInfo.totalRatePalOnCif : g_avNetStreamInfo.totalRateNtscOnCif;    
	    var frameNum = 0;
        for(var ch = 0; ch < net_frame_rate.length; ch++)
        {
            frameNum += ConvertCifRate(parseInt(net_frame_rate[ch].value, 10), parseInt(net_resolution[ch].value, 10));
        }
        
        var leftSource = (totalFrameRate - frameNum);
        remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
        //zld 2010/8/26
	    Align();
    }
}

function OnNetStreamCheckAll()
{
    cfgCopy2All(net_all_cfg,id_net_stream_cfg,id_net_stream_all);
    
    //zld 2010/8/30 
	var net_encode_type=document.getElementsByName("net_encode_type");
	//zld 2010/8/30 
	var net_video_quality=document.getElementsByName("net_video_quality");
	
    if(net_all_cfg.checked)
    {
        OnNetChangeEncodeType(all_net_encode_type, all_net_video_quality);
    }
    else
    {
        for(var m = 0; m < g_channelList.length; m++)
	    {
	        OnNetChangeEncodeType(net_encode_type[m], net_video_quality[m]);
	    }
    }
	
	//zld 2010/8/30 
	var net_resolution=document.getElementsByName("net_resolution"); 
	//zld 2010/8/30 
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	  
    if(g_minorEncodeSizeAllCh)
    {
        for(var i = 0; i < net_resolution.length; i++)
        {
            net_resolution[i].disabled = true;
        }
    }
    
    for(var m = 0; m < net_frame_rate.length; m++)
	{
	    net_frame_rate[m].disabled = true;
	}
}

function OnNetChangeResolution(resolutionObj, channelIndex)
{
    //zld 2010/8/30 
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	
    var preMaxRate = net_frame_rate[channelIndex].options.length;
    var preFrameRate = parseInt(net_frame_rate[channelIndex].value,10);
    
    GenSelectListEx(net_frame_rate[channelIndex], g_minorEncodeProperty[resolutionObj.selectedIndex].frameRate);
    var curMaxRate = g_minorEncodeProperty[resolutionObj.selectedIndex].frameRate.length;
    net_frame_rate[channelIndex].value = Math.round(preFrameRate*curMaxRate/preMaxRate);
}

function OnAllNetChangeResolution(resolutionObj)
{
    var preMaxRate = all_net_frame_rate.options.length;
    var preFrameRate = parseInt(all_net_frame_rate.value,10);
    var frameRateArray = g_minorEncodeProperty[resolutionObj.selectedIndex].frameRate;
    var newFrameRateArray = new Array();
    for(var i = 0; i < frameRateArray.length; i++)
    {
        newFrameRateArray[i] = new CSelectOptionInfo(frameRateArray[i].optionName + "X" + const_channel_num, frameRateArray[i].optionValue);
    }
    GenSelectListEx(all_net_frame_rate, newFrameRateArray);
    var curMaxRate = frameRateArray.length;
    all_net_frame_rate.value = Math.round(preFrameRate*curMaxRate/preMaxRate);
}

function OnNetChangeEncodeType(encodeModeObj, videoQualityObj)
{
     if(encodeModeObj.value == 1)
     {
         videoQualityObj.disabled = false;
     }
     else if(encodeModeObj.value == 2)
     {
         videoQualityObj.disabled = true;
     }
     
     if(encodeModeObj.parentNode.style.display == "none")
     {
        videoQualityObj.disabled = false;
     }
}

function TryNetFrameRate(channelIndex)
{
    var totalFrameRate = (g_videoFormat == "PAL") ? g_avNetStreamInfo.totalRatePalOnCif : g_avNetStreamInfo.totalRateNtscOnCif;
    var frameNum = 0;
    //zld 2010/8/30 
	var net_resolution=document.getElementsByName("net_resolution");
	//zld 2010/8/30 
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	
    for(var ch = 0; ch < net_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(net_frame_rate[ch].value, 10), parseInt(net_resolution[ch].value, 10));
    }
    
    if(frameNum > totalFrameRate)
    {
        window.alert(str_total_frame_rate_exceed);
        net_frame_rate[channelIndex].value = 
        parseInt(net_frame_rate[channelIndex].value)-Math.ceil((frameNum-totalFrameRate)/MultiCif(net_resolution[channelIndex].value));
    }
    
    frameNum = 0;
    for(var ch = 0; ch < net_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(net_frame_rate[ch].value, 10), parseInt(net_resolution[ch].value, 10));
    }
    
    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
}

function TryAllNetFrame()
{
    //zld 2010/8/30 
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	
    var totalFrameRate = (g_videoFormat == "PAL") ? g_avNetStreamInfo.totalRatePalOnCif : g_avNetStreamInfo.totalRateNtscOnCif;
    var frameNum = net_frame_rate.length * ConvertCifRate(parseInt(all_net_frame_rate.value, 10), parseInt(all_net_resolution.value, 10));
    
    if(frameNum > totalFrameRate)
    {
        window.alert(str_total_frame_rate_exceed);
        all_net_frame_rate.value = Math.floor(totalFrameRate/net_frame_rate.options.length/MultiCif(all_net_resolution.value));
    }
    
    frameNum = net_frame_rate.length * ConvertCifRate(parseInt(all_net_frame_rate.value, 10), parseInt(all_net_resolution.value, 10));
    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
}

function UpdateNetwork(bXml2Html)
{
    //zld 2010/10/11
    var ip_type=document.getElementsByName("ip_type");
    
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
	for(var i = 0; i < paramElements.length; i++)
	{
	    var attrib = paramElements[i].getAttribute("name");
	    if(attrib == STR_NETWORK)
	    {
	        var values = paramElements[i].childNodes[0].nodeValue.split('+');
	        if(bXml2Html)
	        {
	            for(var k = 0; k < ip_type.length; k++)
			    {
			        if (ip_type[k].value == values[0])
				    {
				        ip_type[k].checked = true;
				        break;
				    }
			    }
		        MultiEdit.all[ip_address.ipName].setValue(values[1]);
		        MultiEdit.all[net_mask.ipName].setValue(values[2]);
		        MultiEdit.all[gate_way.ipName].setValue(values[3]);
	        }
	        else
	        {
	            for(var k = 0; k < ip_type.length; k++)
			    {
			        if (ip_type[k].checked)
				    {
				        values[0] = ip_type[k].value;
				        break;
				    }
			    }
	            values[1] = MultiEdit.all[ip_address.ipName].getValue();
		        values[2] = MultiEdit.all[net_mask.ipName].getValue();
		        values[3] = MultiEdit.all[gate_way.ipName].getValue();
		        paramElements[i].childNodes[0].nodeValue = values.join('+');
	        }
	    }
	    else if(attrib == STR_DDNS_INFO)
	    {
	        //解析字符串bEnable+bUseDomain+type+user+password[+domain]
	        var configValue = paramElements[i].childNodes[0].nodeValue;
	        var bEnable = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf('+')+1);
	        var bUseDomain = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf('+')+1);
	        var type = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf('+')+1);
	        var userLen = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf(':')+1);
	        var user = configValue.SubStringOfBytes(0, userLen);
	        configValue = configValue.substr(user.length+1);
	        var passwordLen = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf(':')+1);
	        var password = configValue.SubStringOfBytes(0, passwordLen);
	        configValue = configValue.substr(password.length);
	        var domain = "";
	        var bHaveDomain = 1;
	        for(var typeIndex = 0;typeIndex<ddns_type.length;typeIndex++)
	        {
	            if (g_ddnsDomainInfo[typeIndex].ddnsId == type) 
	            {
	                bHaveDomain = g_ddnsDomainInfo[typeIndex].hasDomain;
	            }
	        }
	         
	        if(bHaveDomain)
	        {
	            configValue = configValue.substr(configValue.indexOf('+')+1);
	            var domainLen = parseInt(configValue,10);
	            configValue = configValue.substr(configValue.indexOf(':')+1);
	            domain = configValue.substr(0, domainLen);
	        }
	        if(bXml2Html)
	        {
//	            document.getElementsByName("ddns_enable")[0].checked = bEnable;
//                ddns_type.value = type.toString();
//                ddns_username.value = user;
//                ddns_password.value = password;
//                ddns_domain_info.value = (bUseDomain ? domain : "");
                
                document.getElementsByName("ddns_enable")[0].checked = bEnable;
	            if(type == 12)
	            {
	                document.getElementsByName("ddns_email")[0].value = user;
	                ddns_domain_info.value = domain;
	            }
	            else
	            {
                    ddns_username.value = user;
                    ddns_password.value = password;
                    ddns_domain_info.value = (bHaveDomain ? domain : "");
	            }
	            ddns_type.value = type.toString();
	        }
	        else
	        {
	            bEnable = (document.getElementsByName("ddns_enable")[0].checked ? '1' : '0');
	            type = ddns_type.value;
	            if(ddns_register_btn.style.display == "none")
                {
	                user = ddns_username.value;
	                password = ddns_password.value;
	                domain = ddns_domain_info.value;
	                bUseDomain = ((domain == "") ? '0' : '1');
    	            
	                configValue = bEnable+'+'+bUseDomain+'+'+type+'+'+user.size()+':'+user+'+'+password.size()+':'+password;
	                if(bUseDomain)
	                {
	                    configValue += '+'+domain.size()+':'+domain;
                    }
                }
                else
                {
                    user = document.getElementsByName("ddns_email")[0].value;
                    domain = ddns_domain_info.value;
                    bUseDomain = 1;
                    configValue = bEnable+'+'+bUseDomain+'+'+type+'+'+user.size()+':'+user+'+'+0+':'+""+domain.size()+':'+domain;
                }

	            paramElements[i].childNodes[0].nodeValue = configValue;
	        }
	    }
	    else if(attrib == STR_PPPOE_INFO)
	    {
	       //解析字符串bEnable+user+password
	        var configValue = paramElements[i].childNodes[0].nodeValue;
	        var bEnable = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf('+')+1);
	        var userLen = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf(':')+1);
	        var user = configValue.SubStringOfBytes(0, userLen);
	        configValue = configValue.substr(user.length+1);
	        var passwordLen = parseInt(configValue,10);
	        configValue = configValue.substr(configValue.indexOf(':')+1);
	        var password = configValue.SubStringOfBytes(0, passwordLen);
	        if(bXml2Html)
	        {
	            document.getElementsByName("pppoe_enable")[0].checked = bEnable;
                document.getElementsByName("pppoe_username")[0].value = user;
                document.getElementsByName("pppoe_password")[0].value = password;
	        }
	        else
	        {
	            bEnable = (document.getElementsByName("pppoe_enable")[0].checked ? '1' : '0');
	            user = document.getElementsByName("pppoe_username")[0].value;
	            password = document.getElementsByName("pppoe_password")[0].value;
	            
	            configValue = bEnable+'+'+user.size()+':'+user+'+'+password.size()+':'+password;
	            paramElements[i].childNodes[0].nodeValue = configValue;
	        }
	    }
	}
}

function UpdateNetStreamCfg(bXml2Html)
{
    //zld 2010/8/30 
	var net_resolution=document.getElementsByName("net_resolution");
	var net_encode_type=document.getElementsByName("net_encode_type");
	var net_video_quality=document.getElementsByName("net_video_quality");
	var net_maxbit_stream=document.getElementsByName("net_maxbit_stream");
	var net_frame_rate=document.getElementsByName("net_frame_rate");
	
    var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
    for(var i = 0; i < paramElements.length; i++)
    {
        if(paramElements[i].getAttribute("name") == STR_ENCODE_MINOR)
        {
            if(bXml2Html)
            {
                
                for(var j = 0; j < g_channelList.length; j++)
                {
                    //resolution+rate+encodeType+quality+hBitStream
                    var values = paramElements[i].childNodes[0].nodeValue.split('+');
                    net_resolution[j].value = values[0];
                    if(net_frame_rate[j].options.length > 0)
                    {
                        net_frame_rate[j].value = Math.min(parseInt(values[1],10), parseInt((net_frame_rate[j][net_frame_rate[j].options.length-1].value),10));
                    }
                    net_encode_type[j].value = values[2];
                    net_video_quality[j].value = values[3];
                    net_maxbit_stream[j].value = values[4];
                    i++;
                }
                i--;    //因为这一轮循环完之后，i会再加1
            }
            else
            {
                var values = paramElements[i].childNodes[0].nodeValue.split('+');
                for(var j = 0; j < g_channelList.length; j++)
                {
                    //resolution+rate+encodeType+quality+hBitStream
                    if(net_all_cfg.checked)
                    {
                        values[0] = all_net_resolution.value;
                        values[1] = all_net_frame_rate.value;
                        values[2] = all_net_encode_type.value;
                        values[3] = all_net_video_quality.value;
                        values[4] = all_net_maxbit_stream.value;
                    }
                    else
                    {
                        values[0] = net_resolution[j].value;
                        values[1] = net_frame_rate[j].value;
                        values[2] = net_encode_type[j].value;
                        values[3] = net_video_quality[j].value;
                        values[4] = net_maxbit_stream[j].value;
                    }                    
                    paramElements[i].childNodes[0].nodeValue = values.join('+');
                    i++;
                }
                i--;    //因为这一轮循环完之后，i会再加1
            }
        }
    }
}

/***********************************************************************************/
/*************************网络码流页面动态生成表格**********************************/
/***********************************************************************************/
function CreateListNet(htmlObj, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	
	var colNum = 6;
	//添加标题行
	strOuterHTML += "<tr class = 'table_head_bgcolor'>";
	for(var i = 0; i < colNum; i++)
	{
	    if(!g_supportMinorEncTypeAndBitrate && ((3 == i) || (5 == i)))
	    {
		    strOuterHTML += "<td style = \"text-align:center;display:none;\">" + cfg_netstream_header[i] + "</td>";
        }
        else
        {
            strOuterHTML += "<td style = \"text-align:center\">" + cfg_netstream_header[i] + "</td>";
        }
	}
	strOuterHTML += "</tr>";
	
	var colWidth = Math.round(633/(colNum-1));
	if(!g_supportMinorEncTypeAndBitrate)
	{
	    colWidth = Math.round(633/(colNum-3));
	}
	
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
		strOuterHTML += "<td style = \"width:50px;text-align:center\">"+i+"</td>";
	    strOuterHTML +="<td><select name = \"net_resolution\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; OnNetChangeResolution(this, "+(i-1)+")\"></select></td>";
	    strOuterHTML +="<td><select name = \"net_frame_rate\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; TryNetFrameRate("+(i-1)+")\"></select></td>";
	    if(!g_supportMinorEncTypeAndBitrate)
	    {
	        strOuterHTML +="<td style=\"display:none;\"><select name = \"net_encode_type\"></select></td>";
	    }
	    else
	    {   
	        //zld 2010/10/12
	        var net_video_quality_element=document.getElementsByName("net_video_quality");
	        strOuterHTML +="<td><select name = \"net_encode_type\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; OnNetChangeEncodeType(this,net_video_quality_element["+(i-1)+"])\"></select></td>";
	    }
	    strOuterHTML +="<td><select name = \"net_video_quality\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true;\"></select></td>";
	    if(!g_supportMinorEncTypeAndBitrate)
	    {
	        strOuterHTML +="<td style=\"display:none;\"><select name = \"net_maxbit_stream\"></select></td>";
	    }
	    else
	    {
	        strOuterHTML +="<td><select name = \"net_maxbit_stream\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true;\"></select></td>";
	    }
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 1; i < rowInitNum + 1; i++)
	{
	    GenSelectListEx(document.getElementsByName("net_resolution")[i-1], g_minorEncodeProperty);
		GenSelectListEx(document.getElementsByName("net_encode_type")[i-1], g_avNetStreamInfo.supportEncodeMode);
	    GenSelectListEx(document.getElementsByName("net_video_quality")[i-1], g_avNetStreamInfo.supportQuarlity);
	    GenSelectListEx(document.getElementsByName("net_maxbit_stream")[i-1], g_avNetStreamInfo.supportBitrate);
	}
	htmlObj = parentNode.childNodes[0];
	
	//zld 2010/9/1
	all_net_resolution.style.width = colWidth+"px";
    all_net_frame_rate.style.width = colWidth+"px";
    all_net_encode_type.style.width = colWidth+"px";
    all_net_video_quality.style.width = colWidth+"px";
    all_net_maxbit_stream.style.width = colWidth+"px";
    
//	all_net_resolution.style.width = colWidth;
//    all_net_frame_rate.style.width = colWidth;
//    all_net_encode_type.style.width = colWidth;
//    all_net_video_quality.style.width = colWidth;
//    all_net_maxbit_stream.style.width = colWidth;
    
    if(!g_supportMinorEncTypeAndBitrate)
    {
        all_net_encode_type.parentNode.style.display = "none";
        all_net_maxbit_stream.parentNode.style.display = "none";
    }
}

/*************************************************************************
   Authentication of length  in  NetConfig page
*************************************************************************/
function ConstNetConfiglen()
{
    var error_message1 = "";
    var error_message2 = "";
    var error_message3 = "";
    var error_message4 = "";
    var error_message5 = "";
    var error_message6 = "";
    var error_message7 = "";
    //获得实际输入字符的长度
    pppoe_username_len = document.getElementsByName("pppoe_username")[0].value.length;
    pppoe_password_len = document.getElementsByName("pppoe_password")[0].value.length;
    ddns_username_len = ddns_username.value.length;
    ddns_password_len = ddns_password.value.length;
    ddns_domain_info_len = ddns_domain_info.value.length;
    //获取错误输出信息的DIV
    var netconfig_errortips = document.getElementById("netconfig_errortips");
    //定位错误信息
    var id_pppoe_username = document.getElementById("id_pppoe_username");
    var id_pppoe_password = document.getElementById("id_pppoe_password");
    var id_ddns_username = document.getElementById("id_ddns_username");
    var id_ddns_password = document.getElementById("id_ddns_password");
    var id_ddns_domain_info = document.getElementById("id_ddns_domain_info");
    //zld 2010/10/11
    var http_port = document.getElementById("http_port");
    var server_port = document.getElementById("server_port");
    
	var isValid = true;
	//输入字符的长度与限定值做比较
    if (pppoe_username_len>const_pppoe_username_max_len)
    {
		error_message2 = "<br>"+"PPPoE "+id_pppoe_username.innerHTML+cannot_more_than_tip+const_pppoe_username_max_len+"!";
		isValid = false;
    }
    if (pppoe_password_len>const_pppoe_password_max_len)
    {
        error_message3 = "<br>"+"PPPoE "+id_pppoe_password.innerHTML+cannot_more_than_tip+const_pppoe_password_max_len+"!";
        isValid = false;
    }
    if (ddns_username_len>const_ddns_uername_max_len)
    {
		error_message4 = "<br>"+"DDNS "+id_ddns_username.innerHTML+cannot_more_than_tip+const_ddns_uername_max_len+"!";
		isValid = false;
    }
    if (ddns_password_len>const_ddns_password_max_len)
    {
		error_message5 = "<br>"+"DDNS "+id_ddns_password.innerHTML+cannot_more_than_tip+const_ddns_password_max_len+"!";
		isValid = false;
    }
    if (ddns_domain_info_len>const_ddns_domain_max_len)
    {
        error_message6 = "<br>"+id_ddns_domain_info.innerHTML+cannot_more_than_tip+const_ddns_domain_max_len+"!";
		isValid = false;
    }
    if(http_port.value == server_port.value)
    {
        error_message7 = "<br>" + str_http_data_port_conflict;
        isValid = false;
    }
	if(!isValid)
	{
	    netconfig_errortips.style.color = "red";
		netconfig_errortips.innerHTML = save_error_tip+error_message2+error_message3+error_message4+error_message5+error_message6+error_message7;
		return false;
	}
	netconfig_errortips.innerHTML = "";
	netconfig_errortips.display = "none";
	return true;
}

//netconfig readonly control
function UpnpEnable(obj)
{
    var upnp_name = document.getElementsByName("upnp_name");
    upnp_name[0].disabled = !obj.checked;
}
//静态IP
function IPType()
{
    //zld 2010/10/11
    var ip_type=document.getElementsByName("ip_type");
    
    var ip_address = document.getElementsByName("ip_address");
    ip_address[0].disabled = ip_type[0].checked;
    var net_mask = document.getElementsByName("net_mask");
    net_mask[0].disabled = ip_type[0].checked;
    var gate_way = document.getElementsByName("gate_way");
    gate_way[0].disabled =ip_type[0].checked;
    var net_dns1 = document.getElementsByName("net_dns1");
    net_dns1[0].disabled = ip_type[0].checked;
    var net_dns2 = document.getElementsByName("net_dns2");
    net_dns2[0].disabled = ip_type[0].checked;
}
function IPAuto(obj)
{
    if(obj.checked)
    {
        MultiEdit.all["ip1"].setEnable(false);
        MultiEdit.all["ip2"].setEnable(false);
        MultiEdit.all["ip3"].setEnable(false);
    }
}
function IPStatic(obj)
{
    if(obj.checked)
    {
        MultiEdit.all["ip1"].setEnable(true);
        MultiEdit.all["ip2"].setEnable(true);
        MultiEdit.all["ip3"].setEnable(true);
    }
}
//启用PPPoE
function PPPoeEnable(obj)
{
    //zld 2010/10/11
    var ip_type=document.getElementsByName("ip_type");
    
    var pppoe_username = document.getElementsByName("pppoe_username");
    pppoe_username[0].disabled = !obj.checked;
    var pppoe_password = document.getElementsByName("pppoe_password");
    pppoe_password[0].disabled = !obj.checked;
    
    if(obj.checked)
    {
        ip_type[0].disabled = true;
        ip_type[1].disabled = true;
        MultiEdit.all["ip1"].setEnable(false);
        MultiEdit.all["ip2"].setEnable(false);
        MultiEdit.all["ip3"].setEnable(false);
    }
    else
    {
        ip_type[0].disabled = false;
        ip_type[1].disabled = false;
        IPStatic(ip_type[1]);
    }
}
//启用DDNS
function DdnsEnable(obj)
{
    ddns_type.disabled = !obj.checked;
    ddns_username.disabled = !obj.checked;
    ddns_password.disabled = !obj.checked;
    ddns_domain_info.disabled = !obj.checked;
    ddns_update_cycle.disabled = !obj.checked;
    ddns_test_btn.disabled = !obj.checked;
    document.getElementsByName("ddns_email")[0].disabled = !obj.checked;
    document.getElementById("ddns_register_btn").disabled = !obj.checked;
    
    if(obj.checked)
    {
        DisDomain(ddns_type);
    }
}
//使用IP地址过滤
function FilterIpIf(obj)
{
    var filter_ip_mode = document.getElementsByName("filter_ip_mode");
    filter_ip_mode[0].disabled = !obj.checked;
    filter_ip_mode[1].disabled = !obj.checked;
}
//
function DisDomain(obj)
{
    var ddns_enable=document.getElementsByName("ddns_enable");
    for(i = 0;i<ddns_type.length;i++)
    {
        if(obj.options[i].selected)
        {
            if (g_ddnsDomainInfo[i].hasDomain == "1")
            {
                if(ddns_enable[0].checked)
                {
                    ddns_domain_tr.style.display = "";
                    ddns_update_tr.style.display = "";
                    ddns_domain_info.disabled = false;
                    ddns_test_btn.disabled = false;
                }
               
                if(g_ddnsDomainInfo[i].ddnsId == "12")
                {
                    ddns_test_btn.style.display = "none";
                    ddns_domain_tr.style.display = "";
                    ddns_update_tr.style.display = "";
                    document.getElementById("ddns_register_btn").style.display = "";
                    ddns_username_tr.style.display = "none";
                    ddns_pwd_tr.style.display = "none";
                    ddns_email_tr.style.display = "";
                    visionico_info.style.display = "";
                    ddns_domain_info.disabled = true;
                    ddns_domain_info.style.width = "350px";
                    ddns_domain_info.value = g_deviceMac.replace(/-/ig, "");
                }
                else
                {
                    ddns_test_btn.style.display = "";
                    ddns_domain_tr.style.display = "";
                    ddns_update_tr.style.display = "";
                    document.getElementById("ddns_register_btn").style.display = "none";
                    ddns_username_tr.style.display = "";
                    ddns_pwd_tr.style.display = "";
                    ddns_email_tr.style.display = "none";
                    visionico_info.style.display = "none";
                    ddns_domain_info.style.width = "437px";
//                    ddns_domain_info.value = "";
                }
            }
            else
            {
                ddns_test_btn.style.display = "";
                ddns_username_tr.style.display = "";
                ddns_pwd_tr.style.display = "";
                ddns_domain_tr.style.display = "";
                ddns_update_tr.style.display = "";
                    
                document.getElementById("ddns_register_btn").style.display = "none";
                ddns_email_tr.style.display = "none";
                visionico_info.style.display = "none";
                ddns_domain_info.style.width = "437px";
                ddns_domain_info.disabled = true;
//                ddns_domain_info.value = "";
                
                if(g_ddnsDomainInfo[i].ddnsId == "0")
                {
                    ddns_test_btn.disabled = true;
                }
                
                else if (g_ddnsDomainInfo[i].ddnsId == "13") 
                {
                    ddns_username_tr.style.display = "";
                    ddns_pwd_tr.style.display = "none";
                    ddns_domain_tr.style.display = "none";
                    ddns_update_tr.style.display = "none";
                    id_ddns_username.innerText = str_ddns_ip_server;
                }
				else
				{
					ddns_test_btn.disabled = false;
				}
            }
        }
    }
}

function NetworkTestDHCP()
{
    //zld 2010/10/11
    var ip_type=document.getElementsByName("ip_type");
    
    var values = new Array();
    for(var k = 0; k < ip_type.length; k++)
    {
        if (ip_type[k].checked)
	    {
	        values[0] = ip_type[k].value;
	        break;
	    }
    }
    values[1] = MultiEdit.all[ip_address.ipName].getValue();
    values[2] = MultiEdit.all[net_mask.ipName].getValue();
    values[3] = MultiEdit.all[gate_way.ipName].getValue();
    
//    var xmlDoc = createXMLDoc();
//    var cmdElem = xmlDoc.createElement("command");
//    var paramElem = xmlDoc.createElement("parameter");
//    var textNode = xmlDoc.createTextNode(values.join('+'));
//    
//    paramElem.appendChild(textNode);
//    
//    cmdElem.setAttribute("name", STR_NETWORK_TEST_DHCP);
//    cmdElem.appendChild(paramElem);
//    
//    xmlDoc.documentElement = xmlDoc.createElement("request");
//    xmlDoc.documentElement.appendChild(cmdElem);
   // var strResult = WebClient.ExcuteCmd(xmlDoc.xml);
   
    //zld 2010/9/3 safari不支持xmlDoc.xml
    var strhtml="<request>";
    strhtml+="<command name=\"" + STR_NETWORK_TEST_DHCP + "\">";
    strhtml+="<parameter>" + values.join('+') + "</parameter>";
    strhtml+="</command>";
    strhtml+="</request>";
    
    var strResult = WebClient.ExcuteCmd(strhtml);
    if(strResult == "")
    {
        return;
    }
    else
    {
       
        //zld 2010/8/18
        xmlDoc = FormatToXmlDOM(strResult);
        xmlDoc.async = false;
        //xmlDoc.loadXML(strResult);
        var cmdElem = xmlDoc.documentElement.childNodes[0];
        
        if(cmdElem.getAttribute("name") == STR_NETWORK_TEST_SUCC)
        {
            g_bNetworkPassTest = true;
            window.alert(str_testsuccess);
        }
        else
        {
            g_bNetworkPassTest = false;
            window.alert(str_testfailed);
        }
        
        delete xmlDoc;
    }
}

function NetworkTestPPPoE()
{
    var bEnable = (document.getElementsByName("pppoe_enable")[0].checked ? '1' : '0');
    var user = document.getElementsByName("pppoe_username")[0].value;
    var password = document.getElementsByName("pppoe_password")[0].value;
    var configValue = bEnable+'+'+user.size()+':'+user+'+'+password.size()+':'+password;

//    var xmlDoc = createXMLDoc();
//    var cmdElem = xmlDoc.createElement("command");
//    var paramElem = xmlDoc.createElement("parameter");
//    var textNode = xmlDoc.createTextNode(configValue);
//    
//    paramElem.appendChild(textNode);
//    
//    cmdElem.setAttribute("name", STR_NETWORK_TEST_PPPOE);
//    cmdElem.appendChild(paramElem);
//    
//    xmlDoc.documentElement = xmlDoc.createElement("request");
//    xmlDoc.documentElement.appendChild(cmdElem);
//    
//    var strResult = WebClient.ExcuteCmd(xmlDoc.xml);
    
    //zld 2010/9/3 safari不支持xmlDoc.xml
    var strhtml="<request>";
    strhtml+="<command name=\"" + STR_NETWORK_TEST_PPPOE + "\">";
    strhtml+="<parameter>" + configValue + "</parameter>";
    strhtml+="</command>";
    strhtml+="</request>";
    
    var strResult = WebClient.ExcuteCmd(strhtml);
    if(strResult == "")
    {
        return;
    }
    else
    {
        //zld 2010/8/18
        xmlDoc = FormatToXmlDOM(strResult);
        xmlDoc.async = false;
        //xmlDoc.loadXML(strResult);
        var cmdElem = xmlDoc.documentElement.childNodes[0];
        
        if(cmdElem.getAttribute("name") == STR_NETWORK_TEST_SUCC)
        {
			g_bNetworkPassTest = true;
            window.alert(str_testsuccess);
        }
        else
        {
            g_bNetworkPassTest = false;
            window.alert(str_testfailed);
        }
        
        delete xmlDoc;
    }
}


function NetworkTest()
{
    if(document.getElementsByName("pppoe_enable")[0].checked)
    {
        NetworkTestPPPoE();
    }
    else
    {
        NetworkTestDHCP();
    }
}

function NetworkTestDDNS(bSilence)
{
    var bEnable = (document.getElementsByName("ddns_enable")[0].checked ? '1' : '0');
    var type = ddns_type.value;
    var configValue;
    
    if(document.getElementById("ddns_register_btn").style.display == "none")
    {
        var user = ddns_username.value;
        var password = ddns_password.value;
        var domain = ddns_domain_info.value;
        var bUseDomain = ((domain == "") ? '0' : '1');
        
        configValue = bEnable+'+'+bUseDomain+'+'+type+'+'+user.size()+':'+user+'+'+password.size()+':'+password;
        if(bUseDomain)
        {
            configValue += '+'+domain.size()+':'+domain;
        }
    }
    else
    {
        var user = document.getElementsByName("ddns_email")[0].value;
        var domain = ddns_domain_info.value;
        var bUseDomain = 1;
        var configValue = bEnable+'+'+bUseDomain+'+'+type+'+'+user.size()+':'+user+'+'+1+':'+" "+"+"+domain.size()+':'+domain;
    }
	        
//    var xmlDoc = createXMLDoc();
//    var cmdElem = xmlDoc.createElement("command");
//    var paramElem = xmlDoc.createElement("parameter");
//    var textNode = xmlDoc.createTextNode(configValue);
//    
//    paramElem.appendChild(textNode);
//    
//    cmdElem.setAttribute("name", STR_NETWORK_TEST_DDNS);
//    cmdElem.appendChild(paramElem);
//    
//    xmlDoc.documentElement = xmlDoc.createElement("request");
//    xmlDoc.documentElement.appendChild(cmdElem);

//    var strResult = WebClient.ExcuteCmd(xmlDoc.xml);
    
    //zld 2010/9/3 safari不支持xmlDoc.xml
    var strhtml="<request>";
    strhtml+="<command name=\"" + STR_NETWORK_TEST_DDNS + "\">";
    strhtml+="<parameter>" + configValue + "</parameter>";
    strhtml+="</command>";
    strhtml+="</request>";
    
    var strResult = WebClient.ExcuteCmd(strhtml);
    if(strResult == "")
    {
        return false;
    }
    else
    {
        //zld 2010/8/18
        xmlDoc = FormatToXmlDOM(strResult);
        xmlDoc.async = false;
        //xmlDoc.loadXML(strResult);
        var cmdElem = xmlDoc.documentElement.childNodes[0];
        delete xmlDoc;
        
        if(cmdElem.getAttribute("name") == STR_NETWORK_TEST_SUCC)
        {
            g_bDDNSPassTest = true;
            if(!bSilence)
            {
                window.alert(str_testsuccess);
            }
            return true;
        }
        else
        {
            g_bDDNSPassTest = false;
            if(!bSilence)
            {
                window.alert(str_testfailed);
            }
            return false;
        }
    }
    
    return false;
}

function OnLoadCfgMail()
{

    ApplyXmlLang("cfg_net_mail.xml");
//	GenSelectListEx(email_pic_acc, g_emailSnapNumArray);
    
    var xmlConfigReq = CreateConfigReqXml(email_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	

	//zld 2010/8/18
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }

    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
 	UpdateNetMail(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
}

function LoadDefaultCfgMail()
{
    if(GetDefaultCfg(email_config_array))
    {
        UpdateNetMail(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
	    g_bChange = true;
    }
}

function UpdateNetMail(xmlElements, bXml2Html)
{   
    //zld 2010/10/11
    var mail_receive_addr=document.getElementsByName("mail_receive_addr");
    for(i = 0; i < xmlElements.length; i++)
    {
        if(bXml2Html)
        {
            if(STR_EMAIL_SEND_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var sendMessage = xmlElements[i].childNodes[0].nodeValue;
                bSSL = parseInt(sendMessage,10);//1
                mail_sll_check.checked = bSSL?true:false;//SLL check
                var pIndex = sendMessage.indexOf("+");
                port = sendMessage.substr(pIndex+1);
                mail_port.value = parseInt(port,10);//smtp port
                var serverLenIndex = port.indexOf("+");
                var serverLenData = port.substr(serverLenIndex+1);
                var serverLen = parseInt(serverLenData,10);
                var serverIndex = serverLenData.indexOf(":");
                mail_smtp_server.value = serverLenData.SubStringOfBytes(serverIndex+1,serverLen);// smtp server address 
                var sendNameData = serverLenData.SubStringOfBytes(serverIndex+serverLen+1);
                var nameLen = parseInt(sendNameData,10);
                var nameIndex = sendNameData.indexOf(":");
                mail_send_addr.value = sendNameData.substr(nameIndex+1,nameLen);//send address
                var pwdData = sendNameData.substr(nameIndex+nameLen+1);
                var pwdLen = parseInt(pwdData,10);
                var pwdIndex = pwdData.indexOf(":");
                mail_send_addr_pwd.value = pwdData.substr(pwdIndex+1);
            }
            if(STR_EMAIL_RECV_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var index = xmlElements[i].attributes.getNamedItem("index").nodeValue;
                if(xmlElements[i].childNodes[0] == null)
                {
                    mail_receive_addr[index].value = "";
                    continue;
                }
                mail_receive_addr[index].value = xmlElements[i].childNodes[0].nodeValue;
            }
            if(STR_EMAIL_PIC_ACC == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var acc = xmlElements[i].childNodes[0].nodeValue;
                bSSL = parseInt(acc,10);
                if (bSSL == 0)
                {
                    email_pic_acc.checked = false;
                }
                else
                {
                    email_pic_acc.checked = true;
                }
            }
//            if(STR_JPEG_PERIOD == xmlElements[i].attributes.getNamedItem("name").nodeValue)
//            {
//                jpeg_period.value = xmlElements[i].childNodes[0].nodeValue;
//            }
        }
        else
        {
            if(STR_EMAIL_SEND_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                xmlElements[i].childNodes[0].nodeValue = "";
                var bSLL = (mail_sll_check.checked)?1:0;
                xmlElements[i].childNodes[0].nodeValue = bSLL+"+"+mail_port.value+"+"+mail_smtp_server.value.size()+":"+mail_smtp_server.value+"+"+mail_send_addr.value.size()+":"+mail_send_addr.value+"+"+mail_send_addr_pwd.value.size()+":"+mail_send_addr_pwd.value;
            }
            if(STR_EMAIL_RECV_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var index = xmlElements[i].attributes.getNamedItem("index").nodeValue;
                if(xmlElements[i].childNodes[0] == null)
                {
                    var tempA = g_xmlDoc.createTextNode("");
                    xmlElements[i].appendChild(tempA);
                }
                xmlElements[i].childNodes[0].nodeValue  = mail_receive_addr[index].value;
            }
            if(STR_EMAIL_PIC_ACC == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var bSLL = (email_pic_acc.checked)?1:0;
                xmlElements[i].childNodes[0].nodeValue = bSLL;
            }
//            if(STR_JPEG_PERIOD == xmlElements[i].attributes.getNamedItem("name").nodeValue)
//            {
//                xmlElements[i].childNodes[0].nodeValue = jpeg_period.value;
//            }
        }
    }
}

var g_CheckEmail = 0;

function CheckEmailNow()
{
    StartWaitTip(str_mail_test_wait_tip);
    g_CheckEmail = setTimeout("CheckEmail()", 100);
}

function CreateEmailCheckXML()
{
    var strhtml="<request>";
    strhtml+="<command name=\"" + STR_EMAIL_CHECK + "\">";
    strhtml+="<"+STR_MAIL_SENDER+">";
    var bSLL = (mail_sll_check.checked)?1:0;
    strhtml+="<"+STR_USE_SSL+">"+bSLL+"</"+STR_USE_SSL+">";
    strhtml+="<"+STR_SMTP_PORT+">"+mail_port.value+"</"+STR_SMTP_PORT+">";
    strhtml+="<"+STR_SMTP_SERVER+">"+mail_smtp_server.value+"</"+STR_SMTP_SERVER+">";
    strhtml+="<"+STR_MAIL_ACCOUNT+">"+mail_send_addr.value+"</"+STR_MAIL_ACCOUNT+">";
    strhtml+="<"+STR_MAIL_PASSWORD+">"+mail_send_addr_pwd.value+"</"+STR_MAIL_PASSWORD+">";
    strhtml+="</"+STR_MAIL_SENDER+">";
    
    strhtml+="<"+STR_MAIL_RECVER+">";
    var mail_receive_addr=document.getElementsByName("mail_receive_addr");
    for(var i = 0; i < mail_receive_addr.length; i++)
    {
        strhtml+="<"+STR_MAIL_ACCOUNT+">"+mail_receive_addr[i].value+"</"+STR_MAIL_ACCOUNT+">";
    }
    strhtml+="</"+STR_MAIL_RECVER+">";
    strhtml+="</command>";
    strhtml+="</request>";
    
    return strhtml;
    
    
//    var testXmlDoc = createXMLDoc();
//    var rootElement = testXmlDoc.createElement("request");
//    var commandElement = testXmlDoc.createElement("command");
//    commandElement.setAttribute("name", STR_EMAIL_CHECK);
//    //SENDER
//    var senderElement = testXmlDoc.createElement(STR_MAIL_SENDER);
//    //SSL
//    var bSLL = (mail_sll_check.checked)?1:0;
//    var paramElement = testXmlDoc.createElement(STR_USE_SSL);
//    var textNode = testXmlDoc.createTextNode(bSLL);
//    paramElement.appendChild(textNode);
//    senderElement.appendChild(paramElement);
//    //smtp port
//    paramElement = testXmlDoc.createElement(STR_SMTP_PORT);
//    textNode = testXmlDoc.createTextNode(mail_port.value);
//    paramElement.appendChild(textNode);
//    senderElement.appendChild(paramElement);
//    //smtp server
//    paramElement = testXmlDoc.createElement(STR_SMTP_SERVER);
//    textNode = testXmlDoc.createTextNode(mail_smtp_server.value);
//    paramElement.appendChild(textNode);
//    senderElement.appendChild(paramElement);
//    //mail account
//    paramElement = testXmlDoc.createElement(STR_MAIL_ACCOUNT);
//    textNode = testXmlDoc.createTextNode(mail_send_addr.value);
//    paramElement.appendChild(textNode);
//    senderElement.appendChild(paramElement);
//    //mail password
//    paramElement = testXmlDoc.createElement(STR_MAIL_PASSWORD);
//    textNode = testXmlDoc.createTextNode(mail_send_addr_pwd.value);
//    paramElement.appendChild(textNode);
//    senderElement.appendChild(paramElement);
//    commandElement.appendChild(senderElement);
//    var recverElement = testXmlDoc.createElement(STR_MAIL_RECVER);
//    for(var i = 0; i < mail_receive_addr.length; i++)
//    {
//        paramElement = testXmlDoc.createElement(STR_MAIL_ACCOUNT);
//        textNode = testXmlDoc.createTextNode(mail_receive_addr[i].value);
//        paramElement.appendChild(textNode);
//        recverElement.appendChild(paramElement);
//    }
//    commandElement.appendChild(recverElement);
//    rootElement.appendChild(commandElement);    
//    testXmlDoc.appendChild(rootElement);
//    return testXmlDoc.xml;
}
function CheckEmail()
{
    var requestCommand = CreateEmailCheckXML();
    var xmlTestReply = WebClient.ExcuteCmd(requestCommand);
    
	if(xmlTestReply == "")
	{
	    return;
	}
	var testXmlDoc; //= createXMLDoc();
	
	//zld 2010/8/18
    testXmlDoc = FormatToXmlDOM(xmlTestReply);
    testXmlDoc.async = false;
	//testXmlDoc.loadXML(xmlTestReply); 
    var cmdElements = testXmlDoc.documentElement.childNodes;
    delete testXmlDoc;
    
	if(cmdElements[0].attributes.getNamedItem("name").nodeValue == STR_EMAIL_CHECK_SUCC)
	{
	    StopWaitTip();
	    window.alert(str_mail_test_succ_tip);
	    clearTimeout(g_CheckEmail);
        return;
	}
	if(cmdElements[0].attributes.getNamedItem("name").nodeValue == STR_EMAIL_CHECK_FAIL) 
	{
	    StopWaitTip();
        window.alert(str_mail_test_fail_tip);
        clearTimeout(g_CheckEmail);
        return;
	}
	StopWaitTip();    
    window.alert(str_mail_test_fail_tip);
    clearTimeout(g_CheckEmail);
}
