﻿// JScript 文件
var cfg_ptz_header = new Array(str_ch,str_enabel,str_address,str_ptz_rate,str_protocol);
var cfg_ptz_advance_header = new Array(str_ch,str_preset,str_cruise,str_track);
var g_tempPresetArr = new Array();
var g_tempCruiseArr = new Array();
var g_bInPtzCfg = false;
var g_bPreviewCruise = false;
var g_bDisplayAllCh = false;
var g_curSelectRowIndex=-1;

function PTZCfg(bStart)
{
    var strCmd = STR_PTZ_START_CFG;
    if(!bStart)
    {
        strCmd = STR_PTZ_STOP_CFG;
    }
    
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\"" + strCmd + "\"></command>\r\n";
    strRequest += "</request>\r\n";
    
    WebClient.ExcuteCmd(strRequest);
}

function OnLoadCfgPtzBasic()
{
//    if(!g_bInPtzCfg)
    {
        PTZCfg(true);
        g_bInPtzCfg = true;
    }
    
    g_curConfigIndex = 71;
    ApplyXmlLang("cfg_ptz.xml");
	CreateListPTZ(id_ptz_config, 5,cfg_ptz_header, g_channelList.length);
	GenSelectListEx(all_protocol, g_ptzProtocol);
    GenSelectListEx(all_baud_rate, g_ptzBaudRate);
    document.getElementsByName("all_pzt_enable")[0].checked = true;
    
	var xmlConfigReq = CreateConfigReqXml(ptz_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	

	//zld 2010/8/18

    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
 //   window.alert(xmlConfigReply);
	UpdatePtzConfig(paramElements, true);
	cfgCopy2All(ptz_all_cfg,id_ptz_config,id_ptz_all);
	
	all_baud_rate.value = 6;
    all_protocol.value = 1;
    
    //zld 2010/8/26
	Align();
}

function LoadDefaultCfgPtzBasic()
{
    if(GetDefaultCfg(ptz_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdatePtzConfig(paramElements, true);
	    cfgCopy2All(ptz_all_cfg,id_ptz_config,id_ptz_all);
	    g_bChange = true;
	    //zld 2010/8/26
	    Align();
    }
}

function OnLoadCfgPtzAdvance()
{
    ApplyXmlLang("cfg_ptz_advance.xml");
    CreateListPtzAdv(id_ptz_advance, 4,cfg_ptz_advance_header, g_channelList.length);
	ClearPresetList(cuise_preset_set);
    var xmlConfigReq = CreateConfigReqXml(ptz_advance_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	

	//zld 2010/8/18

    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
//		window.alert(xmlConfigReply);
	UpdatePreset(paramElements);
    //zld 2010/8/26
	Align();
}

function LoadDefaultCfgPtzAdvance()
{
    if(GetDefaultCfg(ptz_advance_array))
    {
        PresetCancel();
        CruiseCancel();
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdatePreset(paramElements);
        g_bChange = true;
        //zld 2010/8/26
	    Align();
    }
}
/***********************************************************************************/
/*************************云台配置页面动态生成表格**********************************/
/***********************************************************************************/
function CreateListPTZ(htmlObj, colNum, colHeaders, rowInitNum)
{
    //zld 2010/10/22
    var isIE = /msie/i.test(navigator.userAgent);
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr class = 'table_head_bgcolor'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
	    if (isIE) 
	    {
	        strOuterHTML += "<tr>";
		    strOuterHTML += "<td style = \"width:50px;text-align:center\">"+i+"</td>";
	        strOuterHTML += "<td><input type = \"checkbox\" name=\"ptz_enable\" onchange = \"g_bChange = true;\"/></td>";
	        strOuterHTML += "<td><input style = \"width:174px\" type = \"text\" name = \"address\" onkeypress = \"return isNumberInput(this,event);\" onchange = \"g_bChange = true,InputCheck(this,255,0);\" maxlength = \"3\"/></td>";
	        strOuterHTML +="<td><select style = \"width:200px\" name = \"baud_rate\" onchange = \"g_bChange = true;\"></select></td>";
	        strOuterHTML +="<td><select style = \"width:200px\" name = \"protocol\" onchange = \"g_bChange = true;\"></select></td>";
		    strOuterHTML += "</tr>";
	    }
	    else
	    {
	        strOuterHTML += "<tr>";
		    strOuterHTML += "<td style = \"width:50px;text-align:center\">"+i+"</td>";
	        strOuterHTML += "<td style = \"width:80px;text-align:center\"><input type = \"checkbox\" name=\"ptz_enable\" style = \"width:30px;\" onchange = \"g_bChange = true;\"/></td>";
	        strOuterHTML += "<td><input style = \"width:174px\" type = \"text\" name = \"address\" onkeypress = \"return isNumberInput(this,event);\" onchange = \"g_bChange = true,InputCheck(this,255,0);\" maxlength = \"3\"/></td>";
	        strOuterHTML +="<td><select style = \"width:200px\" name = \"baud_rate\" onchange = \"g_bChange = true;\"></select></td>";
	        strOuterHTML +="<td><select style = \"width:200px\" name = \"protocol\" onchange = \"g_bChange = true;\"></select></td>";
		    strOuterHTML += "</tr>";
	    }
		
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		GenSelectListEx(document.getElementsByName("protocol")[i-1], g_ptzProtocol);
	    GenSelectListEx(document.getElementsByName("baud_rate")[i-1], g_ptzBaudRate);
	}
	htmlObj = parentNode.childNodes[0];
}
//云台高级配置界面表格生成
function CreateListPtzAdv(htmlObj, colNum, colHeaders, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr class = 'table_head_bgcolor'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
		strOuterHTML += "<td style = \"width:50px;text-align:center\">"+i+"</td>";
	    strOuterHTML += "<td align = \"center\" style = \"width:218px;\"><input style = \"width:145px;\" type = \"button\" value = "+set_button+" onclick = \"SetPreset(preset_cfg,cruise_cfg,"+i+")\"/></td>";
	    strOuterHTML += "<td align = \"center\" style = \"width:218px;\"><input style = \"width:145px;\" type = \"button\" value = "+set_button+" onclick = \"SetCruise(cruise_cfg,preset_cfg,"+i+")\"/></td>";
	    strOuterHTML += "<td align = \"center\" style = \"width:219px;\"><input style = \"width:145px;\" type = \"button\" value = "+set_button+" onclick = \"GotoTraceSet("+(i-1)+")\"/></td>";
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	htmlObj = parentNode.childNodes[0];
}

// save or update data in ptz page
function UpdatePtzConfig(xmlElements, bXml2Html)
{
    //zld 2010/8/30
    var protocol=document.getElementsByName("protocol");
    var baud_rate=document.getElementsByName("baud_rate");
    //zld 2010/10/11
    var address=document.getElementsByName("address");
    var ptz_enable=document.getElementsByName("ptz_enable");
    
	for (i = 0; i < xmlElements.length; i++)
    {
		if (STR_PTZ_CONFIG == xmlElements[i].attributes.getNamedItem("name").nodeValue)
		{
			var index = xmlElements[i].attributes.getNamedItem("index").nodeValue;
			
			if(bXml2Html)
			{
			    for(var j = 0; j < g_channelList.length; j++)
			    {
			        //protocol+address+bandrate
			        var arrPtzConfig = xmlElements[i].childNodes[0].nodeValue.toString().split('+');
			        protocol[j].value = arrPtzConfig[1];
				    address[j].value = arrPtzConfig[2];
				    baud_rate[j].value = arrPtzConfig[0];
				    ptz_enable[j].checked = ((arrPtzConfig[3] == "0") ? false : true);
				    i++;
			    }
				i--;
			}
			else
			{
			    var arrPtzConfig = xmlElements[i].childNodes[0].nodeValue.toString().split('+');
			    for(var j = 0; j < g_channelList.length; j++)
			    {
			        if(ptz_all_cfg.checked)
			        {
			            arrPtzConfig[1] = all_protocol.value;
				        arrPtzConfig[2] = address[j].value;
				        arrPtzConfig[0] = all_baud_rate.value;
				        arrPtzConfig[3] = (document.getElementsByName("all_pzt_enable")[0].checked ? "1" : "0");
			        }
			        else
			        {
			            arrPtzConfig[1] = protocol[j].value;
				        arrPtzConfig[2] = address[j].value;
				        arrPtzConfig[0] = baud_rate[j].value;
				        arrPtzConfig[3] = (ptz_enable[j].checked ? "1" : "0");
			        }
			        xmlElements[i].childNodes[0].nodeValue = arrPtzConfig.join('+');
			        i++;
			    }
			    i--;
			}
		}
	}
}

// 从XML读取数据到数组(预置点/巡航线)
function UpdatePreset(xmlElements)
{
	for (i = 0; i < xmlElements.length; i++)
    {
		if (STR_PTZ_PRESET_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
		{
			var index = xmlElements[i].attributes.getNamedItem("index").nodeValue;
		    g_PresetArr[index] = new Array();
			if(xmlElements[i].childNodes[0] == null)
			{
			    continue;
			}
			var presetDataInfo = xmlElements[i].childNodes[0].nodeValue;
			var curIndex = 0;
			while(presetDataInfo.length > 0)
			{
			    //index+bEnable+nameLen:presetName
			    var pIndex = parseInt(presetDataInfo,10);//获得预置点的INDEX
			    var pDataIndex = presetDataInfo.indexOf("+");//获得第一个+的索引
			    presetDataInfo = presetDataInfo.substr(pDataIndex+1);
			    var bEnable = parseInt(presetDataInfo,10);
			    pDataIndex = presetDataInfo.indexOf("+");//获得第2个+的索引
			    presetDataInfo = presetDataInfo.substr(pDataIndex+1);
			    var pLength = parseInt(presetDataInfo,10);//获得当前预置点名字的长度
			    var colonIndex =  presetDataInfo.indexOf(":");//获得信息中冒号的索引
			    var pName = presetDataInfo.SubStringOfBytes(colonIndex+1,pLength);//获得当前预置点的名字			    
			    presetDataInfo = presetDataInfo.substr(colonIndex+pName.length+2);
			    g_PresetArr[index][curIndex] = new PresetData(pName, pIndex, parseInt(bEnable,10));
			    curIndex++;
			}
		}
		if (STR_PTZ_CRUISE_INFO == xmlElements[i].attributes.getNamedItem("name").nodeValue)
		{
			var index = xmlElements[i].attributes.getNamedItem("index").nodeValue;
			g_CruiseArr[index] = new Array();
			if(xmlElements[i].childNodes[0] == null)
			{
			    continue;
			}
			var cruiseDataInfo = xmlElements[i].childNodes[0].nodeValue;
			var curIndex = 0;
			while(cruiseDataInfo.length > 0)
			{
			    var bracketStart = cruiseDataInfo.indexOf("(");//第一个括号的索引
			    var bracketContent = cruiseDataInfo.substr(bracketStart+1);//括号后的数据
//			    var cIndex = parseInt(bracketContent,10);//巡航的索引
			    var addIndex = bracketContent.indexOf("+");//第一个加号的位置
			    var addAfter = bracketContent.substr(addIndex);//加号之后的数据
			    var cLength = parseInt(addAfter,10);//巡航线名字的长度
			    var lenLen = cLength.toString().length;
			    var colonIndex = addAfter.indexOf(":")+1;
			    var cName = addAfter.SubStringOfBytes(colonIndex,cLength);//获得当前巡航线的名字
			    var cPresets = addAfter.substr(colonIndex+cName.length);
			    var bracketEnd = cPresets.indexOf(")");// 获取第一个反括号的位置
			    if(bracketEnd == 0)
			    {
			        pInc = "";
			    }
			    else
			    {
			        var pInc = cPresets.substr(1, bracketEnd-1);// 获取当前巡航线里预置点的数据
			    }
			    if(pInc != "")
			    {
			        g_CruiseArr[index][curIndex] = new CruiseData(cName);
			        var tempArray = pInc.split("*");
                    var tempI = 0;
			        for(var k = 0; k < tempArray.length; k++)
			        {
			            var tempB = tempArray[k].split("+");
			            g_CruiseArr[index][curIndex].PresetInfo[tempI] = new PresetInCruise(tempI,tempB[0],tempB[1],tempB[2]);
			            tempI++;
			        }			    
			    }
			    else
			    {
			        g_CruiseArr[index][curIndex] = new CruiseData(cName);
			    }
			    cruiseDataInfo = cPresets.substr(bracketEnd+1);
			    curIndex++;
			}
		}
	}
}
/*********************************预置点配置页面****************************/
//进入预置点设置界面
function SetPreset(disTabP,disTabC,cIndex)
{
    ptzAdvConfig_errortips.innerText = "";
    CruiseArrSave();  
    PresetArrSave();
    
    g_curPageP = 0;
    g_presetCIndex = cIndex-1;
    
    for(var m = 0; m < g_PresetArr[g_presetCIndex].length; m++)
    {
        g_tempPresetArr[m] = new PresetData(g_PresetArr[g_presetCIndex][m].name,g_PresetArr[g_presetCIndex][m].index, parseInt(g_PresetArr[g_presetCIndex][m].bEnable,10));
    }
    page_number.innerHTML = (g_curPageP+1)+"/"+Math.ceil(g_tempPresetArr.length/8);

    if(disTabP.style.display == "none")
    {
        disTabC.style.display = "none";
        disTabP.style.display = "";
    }
    preset_set_channel.innerHTML = "<b>"+channel_string +cIndex+"</b>";
	preset_set_channel.channel = cIndex;  
	
	ClearT();
    ShowPresetList(0,cIndex-1);
	Align();
    EdgeCtrl(div_config_index,72);
    location.href = "#preset_cfg";
}

function CopyPresetArray()
{
    for(var m = 0; m < g_PresetArr[g_presetCIndex].length; m++)
    {
        if(g_tempPresetArr[m])
        {
            g_PresetArr[g_presetCIndex][m].name = g_tempPresetArr[m].name;
	        g_PresetArr[g_presetCIndex][m].index = g_tempPresetArr[m].index;
	        g_PresetArr[g_presetCIndex][m].bEnable = g_tempPresetArr[m].bEnable;
	        g_PresetArr[g_presetCIndex][m].optionName = g_tempPresetArr[m].optionName;
	        g_PresetArr[g_presetCIndex][m].optionValue = g_tempPresetArr[m].optionValue;
        }
	    
    }
}

//Preset ok
function PresetSaveOK()
{
    PresetArrSave();
    ClearT();
    preset_cfg.style.display = "none";
	Align();
    EdgeCtrl(div_config_index,72);
}

function PresetCancel()
{
    ClearT();
    preset_cfg.style.display = "none";
	Align();
    EdgeCtrl(div_config_index,72);
}

//从数组中读取数据显示在列表中
function ShowPresetList(pageIndex,cIndex)
{
    var presetNum = g_tempPresetArr.length;
    if(presetNum == 0)
    {
        return;
    }
    if(presetNum < pageIndex*8)
    {
        return;
    }

    var Preset_name_p=document.getElementsByName("Preset_name_p");
    var preset_enable=document.getElementsByName("preset_enable");
    
    for(var itemIndex = pageIndex*8; itemIndex < (pageIndex+1)*8; itemIndex++)
    {
        var cells = preset_info.rows[itemIndex-pageIndex*8+2].cells;
        if(itemIndex >= presetNum)
        {
            cells[0].innerHTML = "";
	        Preset_name_p[itemIndex%8].style.display = "none";
        }
        else
        {
            cells[0].innerHTML = parseInt(g_tempPresetArr[itemIndex].index,10)+1;
            Preset_name_p[itemIndex%8].style.display = "";
	        Preset_name_p[itemIndex%8].value = g_tempPresetArr[itemIndex].name;
	        preset_enable[itemIndex%8].checked = g_tempPresetArr[itemIndex].bEnable;
        }
    }
    g_curPageP = pageIndex;
}
//转到下一页
function GotoNextP()
{
    if(g_tempPresetArr.length == 0)
    {
        page_number.innerHTML = "0/0";
    }
    else
    {
        var totalPP = Math.ceil(g_tempPresetArr.length/8);
        if(g_curPageP+1 >= totalPP)
        {
            window.alert(last_page_tip);
            //g_curPageP = g_curPageP-1;
        }
        else
        {
            TemPresetArrSave();
            g_curPageP= g_curPageP+1;
            page_number.innerHTML = (g_curPageP+1)+"/"+totalPP;
            ShowPresetList(g_curPageP,g_presetCIndex);
        }
    }
}
//转到前一页
function GotoPrew()
{
    var totalPP = Math.ceil(g_tempPresetArr.length/8);
    if(g_curPageP == 0)
    {
        window.alert(first_page_tip);
    }
    else
    {
        TemPresetArrSave();
        g_curPageP = g_curPageP-1;
        ShowPresetList(g_curPageP,g_presetCIndex);
        page_number.innerHTML = (g_curPageP+1)+"/"+totalPP;
    }
}
//转到第一页
function GotoFirst()
{
    TemPresetArrSave();
    var totalPP = Math.ceil(g_tempPresetArr.length/8);
    ShowPresetList(0,g_presetCIndex);
    page_number.innerHTML = "1/"+totalPP;
}
//转到最后一页
function GotoEnd()
{
    TemPresetArrSave();
    var totalPP = Math.ceil(g_tempPresetArr.length/8);
    ShowPresetList(totalPP-1,g_presetCIndex);
    page_number.innerHTML = totalPP+"/"+totalPP;
}
//清空表格
function ClearT()
{
    var Preset_name_p=document.getElementsByName("Preset_name_p");

    for(var i = 0; i < preset_info.rows.length-2; i++)
    {
        preset_info.rows[i+2].cells[0].innerHTML = "";
        Preset_name_p[i].style.display = "none";
    }
}
//修改预置点
function ModifyPresetP(index)
{
    TemPresetArrSave();
    pIndex = index+g_curPageP*8;
    var curP = g_tempPresetArr[pIndex].index;
    GotoPresetSet(g_presetCIndex,curP);
    g_bChange = true;
}
//保存到数组
function PresetArrSave()
{
    if(preset_cfg.style.display == "")
    {
        TemPresetArrSave();
        CopyPresetArray();
    }
}
//保存到临时数组
function TemPresetArrSave()
{
    var Preset_name_p=document.getElementsByName("Preset_name_p");
    var preset_enable=document.getElementsByName("preset_enable");
    for(var n = 2; n < preset_info.rows.length; n ++)
    {
        if( preset_info.rows[n].cells[0].innerHTML != "")
        {
            var tempD = parseInt(preset_info.rows[n].cells[0].innerHTML,10)-1;
            var tempP = g_curPageP*8+n-2;
            g_tempPresetArr[tempP].index =tempD;
            g_tempPresetArr[tempP].name = Preset_name_p[n-2].value;
            g_tempPresetArr[tempP].bEnable = (preset_enable[n-2].checked) ? 1:0;
            g_tempPresetArr[tempP].optionName = Preset_name_p[n-2].value;
            g_tempPresetArr[tempP].optionValue = tempD;
        }
    }
}
//从数据保存到XML文件
function PresetSave(xmlElements)
{
    PresetArrSave();
    for(var i = 0; i < xmlElements.length; i++)
    {
        htmlName = xmlElements[i].attributes.getNamedItem("name").nodeValue;
        if(htmlName == STR_PTZ_PRESET_INFO) 
        {
            var k = xmlElements[i].attributes.getNamedItem("index").nodeValue;
            if(xmlElements[i].childNodes[0] == null)
            {
                var tempA = g_xmlDoc.createTextNode("");
                xmlElements[i].appendChild(tempA);
            }
            xmlElements[i].childNodes[0].nodeValue = "";
            var curChPreset = g_PresetArr[k];
            for(var j = 0; j < g_PresetArr[k].length; j ++)
            {
                xmlElements[i].childNodes[0].nodeValue += curChPreset[j].index+"+"+curChPreset[j].bEnable+"+"+curChPreset[j].name.size()+":"+curChPreset[j].name+"*";
            } 
        }
    }
    preset_cfg.style.display = "none";
    Align();
    EdgeCtrl(div_config_index,72);
}
/*********************************巡航线配置页面****************************/
//进入巡航线设置界面
function SetCruise(disTabC,disTabP,cIndex)
{
    ptzAdvConfig_errortips.innerText = "";
    
    PresetArrSave();    
    CruiseArrSave();
    
    g_curPageC = 0;
    g_cruiseCindex = cIndex - 1;
    g_curCruise = -1;
    ptz_cruise_preview_btn.disabled = true;
    
    g_tempCruiseArr = new Array();
    for(var m = 0; m < g_CruiseArr[g_cruiseCindex].length; m++)
    {
        g_tempCruiseArr[m] = new CruiseData(g_CruiseArr[g_cruiseCindex][m].CruiseName);
        var tempArr = g_CruiseArr[g_cruiseCindex][m].PresetInfo;
        
        g_tempCruiseArr[m].PresetInfo = new Array();
        for(var n = 0; n < tempArr.length; n++)
        {
            g_tempCruiseArr[m].PresetInfo[n] = new PresetInCruise(tempArr[n].index,tempArr[n].PresetIndex,tempArr[n].HoldTime,tempArr[n].Speed);
        }
    }
    
    if(disTabC.style.display == "none")
    {
        disTabP.style.display = "none";
        disTabC.style.display = "";
    }
    cruise_set_channel.innerHTML = "<b>"+channel_string+cIndex+"</b>";
    cruiseName.value = "";
    cruiseName.disabled = "disabled";

    //zld 2010/8/30
    var preset_name=document.getElementsByName("preset_name");
    var preset_hold_time=document.getElementsByName("preset_hold_time");
    var preset_speed=document.getElementsByName("preset_speed");
    
    for(var m = 0; m < preset_name.length; m++)
    {
        preset_name[m].innerHTML = "";
        GenSelectListEx(preset_name[m], g_PresetArr[g_cruiseCindex]);
    }
    for(var m = 0; m < preset_hold_time.length; m++)
    {
        preset_hold_time[m].innerHTML = "";
        GenSelectListEx(preset_hold_time[m],g_presetHoldTime);
    }
    for(var m = 0; m < preset_speed.length; m++)
    {
        preset_speed[m].innerHTML = "";
        GenSelectListEx(preset_speed[m],g_presetSpeed);
    }
    
    FreashCruiseList(cruise_list);//刷新巡航线列表
    ClearPresetList(cuise_preset_set);//隐藏所有下拉列表
    FreashPresetList(cuise_preset_set);//刷新预置点列表的背景颜色
    Align();
    EdgeCtrl(div_config_index,72);
    location.href = "#cruise_cfg";
}

//Cruise preview
function CruisePreview()
{
    if(-1 == g_curCruise)
    {
        return;
    }
    TemCruiseArrSave();
    var strRequest = "<request>\r\n";
    strRequest += "<command name = \""+STR_PTZ_CRUISE_PREVIEW+"\">\r\n";
    strRequest += "<"+STR_CHANNEL+">"+g_cruiseCindex+"</"+STR_CHANNEL+">\r\n";
    strRequest += "<"+STR_PTZ_CRUISE+">"+g_curCruise+"</"+STR_PTZ_CRUISE+">\r\n";
    strRequest += "<"+STR_COUNT+">"+g_tempCruiseArr[g_curCruise].PresetInfo.length+"</"+STR_COUNT+">\r\n";
    
    var presetInfos = g_tempCruiseArr[g_curCruise].PresetInfo;
    for(var i = 0; i < presetInfos.length; i++)
    {
        var presetInfo = new Array(presetInfos[i].PresetIndex, presetInfos[i].HoldTime, presetInfos[i].Speed);
        strRequest += "<"+STR_PTZ_PRESET_INFO+">"+presetInfo.join("+")+"</"+STR_PTZ_PRESET_INFO+">\r\n";
    }
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    var strResponse = WebClient.ExcuteCmd(strRequest);
    if(strResponse == "")
    {
        return;
    }
    
    var xmlDoc;// = createXMLDoc();
    //zld 2010/8/18
    xmlDoc = FormatToXmlDOM(strResponse);
    xmlDoc.async = false;
    //xmlDoc.loadXML(strResponse);
    
    var commandParam = xmlDoc.documentElement.childNodes[0];
    delete xmlDoc;
    
    if(commandParam.getAttribute("name") != STR_PTZ_CRUISE_PREVIEW_SUCC)
    {
        window.alert("Cruise preview failed!");
        return;
    }
    else
    {
        //进入预览界面
        GotoCruisePreview(g_cruiseCindex);
        g_bPreviewCruise = true;
        g_liveSelChannel = g_cruiseCindex;
        RunPTZCtrl(STR_PTZ_RUN_CRUISE, g_curCruise);
    }
}

function RecoverCruisePreview()
{
    RunPTZCtrl(STR_PTZ_STOP_CRUISE);
    var strRequest = "<request>\r\n";
    strRequest += "<command name = \""+STR_PTZ_CRUISE_PREVIEW_RECOVER+"\">\r\n";
    strRequest += "<"+STR_CHANNEL+">"+g_cruiseCindex+"</"+STR_CHANNEL+">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    WebClient.ExcuteCmd(strRequest);
    
    //退出预览界面
    g_bPreviewCruise = false;
    ExitCruisePreview();
}


function GotoCruisePreview(channel)
{
	div_config.style.display = "none";
	div_ocx.style.display = "";
	WebClient.style.display = "";
	div_live.style.display = "";
	div_ocx.style.left = div_main_menu.offsetLeft+5;
	div_ocx.style.top = div_main_menu.offsetTop+div_main_menu.offsetHeight;
	div_ocx.style.width = "770px";
	//zld 2010/9/11
	WebClient.style.width = "";
	WebClient.style.width = "770px";
	
	//zld 2010/10/12
	var isIE = /msie/i.test(navigator.userAgent); 
	if (isIE) 
	{
	    ocx_alt_label.style.display="";
	}
	
	WebClient.SetVisible(4 | (channel << 8));
	g_xmlhttp.open("get", "body_html/body_cruise_preview.html", false);
	SafeHttpSend(g_xmlhttp, null);
	if(g_xmlhttp.readyState == 4)
	{
		div_live.innerHTML = g_xmlhttp.responseText;
		EdgeCtrl(div_ocx,32);
	}
	
	//zld 2010/9/7
	document.getElementById("div_live").style.height="608px";
	if (document.getElementById("div_ocx").offsetHeight>document.getElementById("div_live").offsetHeight) 
	{
	    var div_live_height= document.getElementById("div_ocx").offsetHeight+5;
	    document.getElementById("div_live").style.height = "";
	    document.getElementById("div_live").style.height = div_live_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_live_height+"px";
	    //zld 2010/10/14
	    if (isIE) 
	    {
	        document.getElementById("div_ocx").style.height = "";
	        document.getElementById("div_ocx").style.height = div_live_height+"px";
	        var work_area_height = div_live_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
	    }
	    
	}
	else
	{
	    var div_ocx_height= document.getElementById("div_live").offsetHeight-5;
	    document.getElementById("div_ocx").style.height = "";
	    document.getElementById("div_ocx").style.height = div_ocx_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_ocx_height+"px";
	    
	    //zld 2010/10/14
	    if (!isIE) 
        {
            var work_area_height = div_ocx_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
        }
	    
	}
	
}

function ExitCruisePreview()
{   
	WebClient.SetVisible(0);
	//zld 2010/9/2
    div_ocx.style.width="0px";
    div_ocx.style.height="0px";
	//div_ocx.style.display = "none";
	//zld 2010/9/13
    WebClient.style.width="0px";
    WebClient.style.height="0px";
	//WebClient.style.display = "none";
	div_live.style.display = "none";
	div_live.innerHTML = "";
	div_config.style.display = "";
	EdgeCtrl(div_config_index,72);
	location.href = "#cruise_cfg";
}


//Cruise ok
function CruiseSaveOK()
{
    CruiseArrSave();
    ClearPresetList(cuise_preset_set);
    cruise_list.innerHTML = "";
    cruise_cfg.style.display = "none";
	Align();
    EdgeCtrl(div_config_index,72);
}

function CopyCruiseArray()
{
    g_CruiseArr[g_cruiseCindex] = new Array();
    for(var m = 0; m < g_tempCruiseArr.length; m++)
    {
        g_CruiseArr[g_cruiseCindex][m] = new CruiseData(g_tempCruiseArr[m].CruiseName);
        var tempArr = g_tempCruiseArr[m].PresetInfo;
        for(var n = 0; n < g_tempCruiseArr[m].PresetInfo.length; n++)
        {
            g_CruiseArr[g_cruiseCindex][m].PresetInfo[n] = new PresetInCruise(tempArr[n].index,tempArr[n].PresetIndex,tempArr[n].HoldTime,tempArr[n].Speed);
        }
    }
}

function CruiseCancel()
{
    cruise_list.innerHTML = "";
    ClearPresetList(cuise_preset_set);
    cruise_cfg.style.display = "none";
	Align();
    EdgeCtrl(div_config_index,72);
}

//刷新巡航線列表
function FreashCruiseList(cruiseList)
{
    var tempNum = g_tempCruiseArr.length;
    cruiseList.innerHTML = "";
    cruiseName.value = "";
    if(tempNum == 0)
    {
        return;
    }
    for(var i = 0; i < tempNum; i++)
    {
        cruiseList[i] = document.createElement("option");
        cruiseList[i].text = g_tempCruiseArr[i].CruiseName;
    }
}
//隐藏所有的下拉列表
function ClearPresetList(PresetTableId)
{
    for(var i = 1; i < PresetTableId.rows.length; i++)
    {
        PresetTableId.rows[i].cells[0].innerHTML = "";
        var selElement = PresetTableId.rows[i].getElementsByTagName('select');
        for(var j = 0; j < selElement.length; j++)
        {
            selElement[j].style.display = "none";
        }
    }
}
//刷新背景颜色
function FreashPresetList(presetTable)
{
    var presetLen = presetTable.rows.length;
    for(var i = 0; i < presetLen; i++)
    {
        presetTable.rows[i].style.background = ptz_pincruise_unsel_bg;
        presetTable.rows[i].style.color = ptz_pincruise_unsel_color;
    }
}
//点击当前通道的某一个巡航线时，刷新其预置点信息
function GetCruiseValue(cruiseList,modifyCruise,presetTable)
{
    g_curSelectRowIndex=-1;
    TemCruiseArrSave();
    ClearPresetList(cuise_preset_set);
    FreashPresetList(cuise_preset_set);
    g_curPageC = 0;
    for(var i = 0; i < cruiseList.length; i++)
    {
        if(cruiseList.options[i].selected)
        {
            g_curCruise = i;
            ptz_cruise_preview_btn.disabled = false;
            modifyCruise.value = "";
            modifyCruise.disabled = false;
            modifyCruise.value = cruiseList.options[i].text;
            var pCout = g_tempCruiseArr[i].PresetInfo.length;
            var TotalP = Math.ceil(pCout/5);
            if(pCout)
            {
                ShowPresetInC(0,g_cruiseCindex);
                page_inC.innerHTML = "1/"+TotalP;
            }
            else
            {
                page_inC.innerHTML = "1/1";
            }
            break;
        }
    }
}
//保存修改后的巡航线的名字
function SaveCruiseName(obj,NameList)
{
    for(var i = 0; i < NameList.length; i++)
    {
        if(NameList.options[i].selected)
        {
            NameList.options[i].text = obj.value;
            g_tempCruiseArr[i].CruiseName = obj.value;
        }
    }
}
//点击“新增”图标添加一条巡航线
function AddCruise(cruiseList)
{
    var cruiseNum = cruiseList.length;
    if(cruiseNum >= g_cruise_num)
    {
        window.alert(cruise_max_num_tip+g_cruise_num+"!");
        return;
    }
    cruiseList[cruiseNum] = document.createElement("option");
    cruiseList[cruiseNum].text = "Cruise";
    cruiseList[cruiseNum].selected = true;
    g_tempCruiseArr[g_tempCruiseArr.length] = new CruiseData(cruiseList[cruiseNum].text);
    TemCruiseArrSave();
    GetCruiseValue(cruiseList,cruiseName,cuise_preset_set);
    g_bChange = true;
}
//删除一条巡航线
function DelCruise(cruiseList)
{
    var cruiseNum = cruiseList.length;
    var tempIndex = cruiseList.selectedIndex;
    if(cruiseNum == 0)
    {
        window.alert(preset_empty_tip);
        return;
    }
    if(tempIndex == -1)
    {
        window.alert(cruise_select_tip);
        return;
    }
    cruiseList.removeChild(cruiseList.options[tempIndex]);
    g_tempCruiseArr.splice(tempIndex,1);
    g_bChange = true;
    ClearPresetList(cuise_preset_set);
    if(tempIndex < cruiseList.length)
    {
        cruiseList.options[tempIndex].selected = true;
    }
    else if(tempIndex == 0)
    {
        ClearPresetList(cuise_preset_set);
        cruiseName.value = "";
        cruiseName.disabled = "disabled";
        return;
    }
    else
    {
        cruiseList.options[tempIndex-1].selected = true;
    }
    GetCruiseValue(cruiseList,cruiseName,cuise_preset_set);
}
//删除所有的巡航线
function DelAllCruise(cruiseList)
{
    if(cruiseList.length == 0)
    {
        window.alert(preset_empty_tip);
        return;
    }
    if(confirm(delete_all_confirm))
    {
        cruiseName.value = "";
        cruiseName.disabled = "disabled";
        cruiseList.innerHTML = "";
        g_tempCruiseArr = new Array();
        ClearPresetList(cuise_preset_set);
        g_bChange = true;
    }
}
//分页显示预置点信息
function ShowPresetInC(pageIndex,cIndex)
{
    //zld 2010/8/30
    var preset_name=document.getElementsByName("preset_name");
    var preset_hold_time=document.getElementsByName("preset_hold_time");
    var preset_speed=document.getElementsByName("preset_speed");
    
    var tempO = g_tempCruiseArr[g_curCruise].PresetInfo;
    var tempL = tempO.length;
    for(var x = 0; x < tempO.length; x++)
    {
        tempO[x].index = x;
    }
    for(var tempI = pageIndex*5; tempI < (pageIndex+1)*5; tempI++)
    {
        if(tempO[tempI] == null)
        {
            return;
        }
        var PNumInC = tempO.length;
        if(PNumInC < pageIndex*5)
        {
            return;
        }
        var cells = cuise_preset_set.rows[tempI-pageIndex*5+1].cells;
        if(tempI >= PNumInC)
        {
            cells[0].innerHTML = "";
	        preset_name[tempI%5].style.display = "none";
	        preset_hold_time[tempI%5].style.display = "none";
	        preset_speed[tempI%5].style.display = "none";
        }
        else
        {
            if(tempO[tempI] == null)
            {
                continue;
            }
            cells[0].innerHTML = tempO[tempI].index+1;
            preset_name[tempI%5].style.display = "";
	        preset_name[tempI%5].value = tempO[tempI].PresetIndex;
            preset_hold_time[tempI%5].style.display = "";
	        preset_hold_time[tempI%5].value = tempO[tempI].HoldTime;
            preset_speed[tempI%5].style.display = "";
	        preset_speed[tempI%5].value = tempO[tempI].Speed;
        }
    }
}
//下一页
function GotoNextC()
{
    if(g_tempCruiseArr[g_curCruise] == null)
    {
        return;
    }
    var TotalP = Math.ceil(g_tempCruiseArr[g_curCruise].PresetInfo.length/5);
    g_curPageC = g_curPageC+1;
    if(g_curPageC+1 > TotalP)
    {
        window.alert(last_page_tip);
        g_curPageC = g_curPageC-1;
    }
    else
    {
        TemCruiseArrSave();
        ClearPresetList(cuise_preset_set);
        FreashPresetList(cuise_preset_set);
        page_inC.innerHTML = (g_curPageC+1)+"/"+TotalP;
        ShowPresetInC(g_curPageC,g_cruiseCindex);
    }
}
//前一页
function GotoPrewC()
{
    if(g_tempCruiseArr[g_curCruise] == null)
    {
        return;
    }
    var TotalP = Math.ceil(g_tempCruiseArr[g_curCruise].PresetInfo.length/5);
    if(g_curPageC == 0)
    {
        window.alert(first_page_tip);
    }
    else
    {
        TemCruiseArrSave();
        g_curPageC = g_curPageC-1;
        ClearPresetList(cuise_preset_set);
        FreashPresetList(cuise_preset_set);
        ShowPresetInC(g_curPageC,g_cruiseCindex);
        page_inC.innerHTML = (g_curPageC+1)+"/"+TotalP;
    }
}
//第一页
function GotoFirC()
{
    if(g_tempCruiseArr[g_curCruise] == null)
    {
        return;
    }
    TemCruiseArrSave();
    ClearPresetList(cuise_preset_set);
    FreashPresetList(cuise_preset_set);
    var TotalP = Math.ceil(g_tempCruiseArr[g_curCruise].PresetInfo.length/5);
    g_curPageC = 0;
    ShowPresetInC(g_curPageC,g_cruiseCindex);
    page_inC.innerHTML = "1/"+TotalP;
}
//最后一页
function GotoEndC()
{
    if(g_tempCruiseArr[g_curCruise] == null)
    {
        return;
    }
    TemCruiseArrSave();
    ClearPresetList(cuise_preset_set);
    FreashPresetList(cuise_preset_set);
    var TotalP = Math.ceil(g_tempCruiseArr[g_curCruise].PresetInfo.length/5);
    g_curPageC = TotalP-1;
    ShowPresetInC(g_curPageC,g_cruiseCindex);
    page_inC.innerHTML = TotalP+"/"+TotalP;
    
}
//单击选中一个预置点的信息
function Selected(rowElem)
{
    var isIE = /msie/i.test(navigator.userAgent); 
    if (isIE) 
    {
        if(rowElem.style.background.toUpperCase() == ptz_pincruise_sel_bg)
	    {
	        return;
	    }
    }
    else
    {
        if(g_curSelectRowIndex>0 && g_curSelectRowIndex==(rowElem.rowIndex-1)%5)
        {
	        return;
	    }
    }
    
	g_curSelectRowIndex=-1;
    var table = rowElem.parentNode;
	for(i = 1; i < table.rows.length; i++)
	{
		table.rows[i].style.background=ptz_pincruise_unsel_bg;//底色
		table.rows[i].style.color = ptz_pincruise_unsel_color;
	}
	if(rowElem.cells[0].innerText != "")
	{
		rowElem.style.background=ptz_pincruise_sel_bg;//点击后的颜色
		rowElem.style.color = ptz_pincruise_sel_color;
		g_curSelectRowIndex=(rowElem.rowIndex-1)%5;
	}
}
//在巡航线中新增一个预置点
function AddPresetInC(cruiseList,presetTable)
{
    if(cruiseName.value == "")
    {
        window.alert(cruise_select_tip);
        return;
    }
    else
    {
        if(g_tempCruiseArr.length == 0)
        {
            window.alert(cruise_select_tip);
            return;
        }
        for(var i = 0; i < cruiseList.length; i++)
        {
            if(cruiseList.options[i].selected)
            {
                var presetNum = g_tempCruiseArr[i].PresetInfo.length;
                if(presetNum >= g_max_preset_per_cruise)
                {
                    window.alert(preset_max_num_tip +g_max_preset_per_cruise+'!');
                    return;
                }
                g_tempCruiseArr[i].PresetInfo[presetNum] = new PresetInCruise(presetNum,0,5,1);
                GotoEndC();
            }
        }
        g_bChange = true;
    }
}
//在巡航线中删除一个预置点
function DelPresetInc(cruiseList,presetTable)
{
    //zld 2010/8/30
    var preset_name=document.getElementsByName("preset_name");
    var preset_hold_time=document.getElementsByName("preset_hold_time");
    var preset_speed=document.getElementsByName("preset_speed");
    var isIE = /msie/i.test(navigator.userAgent); 
    var bSelected = false;
    for(var i = 0; i < cruiseList.length; i++)
    {
        if(cruiseList.options[i].selected)
        {
            var presetNum = g_tempCruiseArr[i].PresetInfo.length;
            if(presetNum == 0)
            {
                window.alert(preset_empty_tip);
            }
            else
            {
                for(var j = 0; j < presetNum; j++)
                {
                    if(presetTable.rows[j%5+1].style.background.toUpperCase() == ptz_pincruise_sel_bg ||  (g_curSelectRowIndex>=0 && g_curSelectRowIndex==j%5))
                    {
                        var tempD = parseInt(presetTable.rows[j%5+1].cells[0].innerHTML,10);
                        g_tempCruiseArr[i].PresetInfo.splice(tempD-1,1);
                        g_bChange = true;
                        for(var n = 0; n < g_tempCruiseArr[i].PresetInfo.length; n++)
                        {
                            g_tempCruiseArr[i].PresetInfo[n].index = n;
                        }
                        ClearPresetList(cuise_preset_set);
                        ShowPresetInC(g_curPageC,g_cruiseCindex);
                        if(presetTable.rows[j%5+1].cells[0].innerHTML == "")
                        {
                            if(g_tempCruiseArr[i].PresetInfo.length > 0)
                            {
                                var preSelIndex = 0;
                                var curSelIndex = 0;
                                if((j % 5) > 0)
                                {
                                    preSelIndex = j%5;
                                    curSelIndex = j%5-1;
                                }
                                else
                                {
                                    if(g_curPageC > 0)
                                    {
                                        var TotalP = Math.ceil(g_tempCruiseArr[g_curCruise].PresetInfo.length/5);
                                        g_curPageC = g_curPageC -1;
                                        ShowPresetInC(g_curPageC,g_cruiseCindex);
                                        page_inC.innerHTML = (g_curPageC+1)+"/"+TotalP;
                                        preSelIndex = 0;
                                        curSelIndex = 4;
                                    }
                                }
                                
                                presetTable.rows[preSelIndex+1].style.background= ptz_pincruise_unsel_bg;
                                presetTable.rows[preSelIndex+1].style.color= ptz_pincruise_unsel_color;
                                preset_name[preSelIndex].style.background = "white";
                                preset_name[preSelIndex].style.color = "black";
                                preset_hold_time[preSelIndex].style.background = "white";
                                preset_hold_time[preSelIndex].style.color = "black";
                                preset_speed[preSelIndex].style.background = "white";
                                preset_speed[preSelIndex].style.color = "black";
                                presetTable.rows[curSelIndex+1].style.background= ptz_pincruise_sel_bg;
                                presetTable.rows[curSelIndex+1].style.color= ptz_pincruise_sel_color;
                                preset_name[curSelIndex].style.background = "#316AC5";
                                preset_name[curSelIndex].style.color = "white";
                                preset_hold_time[curSelIndex].style.background = "#316AC5";
                                preset_hold_time[curSelIndex].style.color = "white";
                                preset_speed[curSelIndex].style.background = "#316AC5";
                                preset_speed[curSelIndex].style.color = "white";
                                g_curSelectRowIndex=curSelIndex;
                            }
                            else
                            {
                                FreashPresetList(cuise_preset_set);
                                g_curSelectRowIndex=-1;
                            }
                        }
                        break;
                    }
                }
                if(j == presetNum)
                {
                    window.alert(preset_select_tip);
                }
            }
        }
    }
}
//删除所有的预置点
function ClearAllPInC()
{
    if(cuise_preset_set.rows[1].cells[0].innerHTML == "")
    {
        window.alert(preset_empty_tip);
        return;
    }
    if(confirm(delete_all_confirm))
    {
        g_tempCruiseArr[g_curCruise].PresetInfo = new Array();
        ClearPresetList(cuise_preset_set);
        g_bChange = true;
    }
}
//保存数据到数组
function CruiseArrSave()
{
    if(cruise_cfg.style.display == "")
    {
        TemCruiseArrSave();
        CopyCruiseArray();
    }
}

//保存数据到临时数组
function TemCruiseArrSave()
{
    //zld 2010/8/30
    var preset_name=document.getElementsByName("preset_name");
    var preset_hold_time=document.getElementsByName("preset_hold_time");
    var preset_speed=document.getElementsByName("preset_speed");
    
    if(cruise_list.length > 0)
    {
        for(var m = 0; m < cruise_list.length; m ++)
        {
            g_tempCruiseArr[m].CruiseName = cruise_list.options[m].text;
        }
        for(var n = 1; n < cuise_preset_set.rows.length; n ++)
        {
            if( cuise_preset_set.rows[n].cells[0].innerHTML != "")
            {
                var tempD = parseInt(cuise_preset_set.rows[n].cells[0].innerHTML,10)-1;
                g_tempCruiseArr[g_curCruise].PresetInfo[tempD].index =tempD;
                g_tempCruiseArr[g_curCruise].PresetInfo[tempD].PresetIndex = preset_name[n-1].value;
                g_tempCruiseArr[g_curCruise].PresetInfo[tempD].HoldTime = preset_hold_time[n-1].value;
                g_tempCruiseArr[g_curCruise].PresetInfo[tempD].Speed = preset_speed[n-1].value;
            }
        }
    }
}
//保存到XML文件
function CruiseSave(xmlElements)
{
    CruiseArrSave();
    for(var i = 0; i < xmlElements.length; i++)
    {
        htmlName = xmlElements[i].attributes.getNamedItem("name").nodeValue;
        if(htmlName == STR_PTZ_CRUISE_INFO)
        {
            var channel = xmlElements[i].attributes.getNamedItem("index").nodeValue;
            if(xmlElements[i].childNodes[0] == null)
            {
                var tempA = g_xmlDoc.createTextNode("");
                xmlElements[i].appendChild(tempA);
            }
            xmlElements[i].childNodes[0].nodeValue = "";
            for(var m = 0; m < g_CruiseArr[channel].length; m ++)
            {
                var temp = g_CruiseArr[channel][m];
                xmlElements[i].childNodes[0].nodeValue += "("+m+"+"+temp.CruiseName.size()+":"+temp.CruiseName;
                for( n = 0; n < g_CruiseArr[channel][m].PresetInfo.length; n ++)
                {
                    var tempObj = g_CruiseArr[channel][m].PresetInfo[n];
                    xmlElements[i].childNodes[0].nodeValue += "*"+tempObj.PresetIndex+"+"+tempObj.HoldTime+"+"+tempObj.Speed;
                }
                xmlElements[i].childNodes[0].nodeValue += ")";
            }
        }
    }
    cruise_cfg.style.display = "none";
    Align();
    EdgeCtrl(div_config_index,72);
}

//预置点配置界面改变通道
function PresetSetCC()
{
    RunPTZCtrl(STR_PTZ_GO_PRESET, preset_list.value);
}

function SavePresetSet()
{
    var strCmd = "<request>\r\n";
    strCmd += "<command name=\"" + STR_PTZ_CONTROL + "\">\r\n";
    strCmd += "<channel>" + preset_set_channel_list.value +"</channel>\r\n";
    strCmd += "<action>" + STR_PTZ_SET_PRESET + "</action>\r\n";
    
    strCmd += "<preset>" + g_PresetArr[parseInt(preset_set_channel_list.value,10)][preset_list.selectedIndex].index + "</preset>\r\n";
    
    strCmd += "</command>\r\n";
    strCmd += "</request>\r\n";
    
    WebClient.ExcuteCmd(strCmd);
}

function RecordTrack(bStart)
{
    var strCmd = "<request>\r\n";
    strCmd += "<command name=\"" + STR_PTZ_CONTROL + "\">\r\n";
    strCmd += "<channel>" + trace_channel_list.value + "</channel>\r\n";
    if(bStart)
    {
        btn_record_trace.style.display = "none";
        btn_record_trace_stop.style.display = "";
        trace_channel_list.disabled = true;
        strCmd += "<action>" + STR_PTZ_START_REC_TRACK + "</action>\r\n";
    }
    else
    {
        btn_record_trace.style.display = "";
        btn_record_trace_stop.style.display = "none";
        trace_channel_list.disabled = false;
        strCmd += "<action>" + STR_PTZ_STOP_REC_TRACK + "</action>\r\n";
    }
    strCmd += "</command>\r\n";
    strCmd += "</request>\r\n";
    
//    window.alert(strCmd);
    WebClient.ExcuteCmd(strCmd);
}

function ChangePresetChannel(channel)
{
    if(g_bDisplayAllCh)
    {
        WebClient.SetVisible(5 | (channel << 8));
    }
    else
    {
        WebClient.SetVisible(4 | (channel << 8));
    }
    GenSelectListEx(preset_list, g_PresetArr[channel]);
    g_liveSelChannel = channel;
    PresetSetCC();
}

function GotoPresetSet(channel,pI)
{
    g_bDisplayAllCh = false;
	div_config.style.display = "none";
	div_ocx.style.display = "";

	WebClient.style.display = "";
	div_live.style.display = "";
	div_ocx.style.left = div_main_menu.offsetLeft+5;
	div_ocx.style.top = div_main_menu.offsetTop+div_main_menu.offsetHeight;
	div_ocx.style.width = "770px";
	//zld 2010/9/11
	WebClient.style.width = "";
	WebClient.style.width = "770px";
	//zld 2010/10/12
	var isIE = /msie/i.test(navigator.userAgent); 
	if (isIE) 
	{
	    ocx_alt_label.style.display="";
	}

	WebClient.SetVisible(4 | (channel << 8));
	g_xmlhttp.open("get", "body_html/body_preset_set.html", false);
	SafeHttpSend(g_xmlhttp, null);
//	g_xmlhttp.onreadystatechange = function ()
	{
		if(g_xmlhttp.readyState == 4)
		{
			div_live.innerHTML = g_xmlhttp.responseText;
            GenSelectListEx(preset_set_channel_list, g_channelList);
            preset_set_channel_list.value = channel;

            GenSelectListEx(preset_list, g_tempPresetArr);
            preset_list.value = pI;
            g_liveSelChannel = channel;            
            
            g_xmlhttp.open("get", "body_html/body_ptz_ctrlpane.html", false);
            SafeHttpSend(g_xmlhttp, null);
//            g_xmlhttp.onreadystatechange = function ()
	        {
	            if(g_xmlhttp.readyState == 4)
		        {
                    div_ptz_pane.innerHTML = g_xmlhttp.responseText;
			        CreateSlider(div_speed, speed_bk, speed_thumb, speed_tip, 1, 8);
			        SetSliderPos(speed_bk, speed_thumb, 4);
			        
			        EdgeCtrl(div_ocx,32);
			        ApplyXmlLang("cfg_preset_set.xml");
			        
			        PresetSetCC();
			    }
			}
			
		}
	}
	
	//zld 2010/9/7
	document.getElementById("div_live").style.height="608px";
	if (document.getElementById("div_ocx").offsetHeight>document.getElementById("div_live").offsetHeight) 
	{
	    var div_live_height= document.getElementById("div_ocx").offsetHeight+5;
	    document.getElementById("div_live").style.height = "";
	    document.getElementById("div_live").style.height = div_live_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_live_height+"px";
	    
	    //zld 2010/10/14
	    if (!isIE) 
        {
            var work_area_height = div_live_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
        }
	}
	else
	{
	    var div_ocx_height= document.getElementById("div_live").offsetHeight-5;
	    document.getElementById("div_ocx").style.height = "";
	    document.getElementById("div_ocx").style.height = div_ocx_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_ocx_height+"px";
	    
	    //zld 2010/10/14
	    if (!isIE) 
        {
            var work_area_height = div_ocx_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
        }
	}

}

function ExitPresetSet()
{
	WebClient.SetVisible(0);
	//zld 2010/9/2
    div_ocx.style.width="0px";
    div_ocx.style.height="0px";
	//div_ocx.style.display = "none";
	//zld 2010/9/13
    WebClient.style.width="0px";
    WebClient.style.height="0px";
	//WebClient.style.display = "none";
	div_live.style.display = "none";
	div_live.innerHTML = "";
	div_config.style.display = "";
	ShowPresetList(g_curPageP, g_presetCIndex);
	EdgeCtrl(div_config_index,72);
	location.href = "#preset_set_label";
}

function ChangeTraceSet(channel)
{
    if(g_bDisplayAllCh)
    {
        WebClient.SetVisible(5 | (channel << 8));
    }
    else
    {
        WebClient.SetVisible(4 | (channel << 8));
    }
    g_liveSelChannel = channel;
}

function GotoTraceSet(channel)
{
    g_bDisplayAllCh = false;
    ptzAdvConfig_errortips.innerText = "";
    g_liveSelChannel = channel;
    
    if(preset_cfg.style.display == "")
    {
        PresetArrSave();
        preset_cfg.style.display = "none";
    }
    if(cruise_cfg.style.display == "")
    {
        
        CopyCruiseArray();
        CruiseArrSave();
        cruise_cfg.style.display = "none";
    }
    div_config.style.display = "none";
	div_ocx.style.display = "";

	WebClient.style.display = "";
	div_live.style.display = "";
	div_ocx.style.left = div_main_menu.offsetLeft+5;
	div_ocx.style.top = div_main_menu.offsetTop+div_main_menu.offsetHeight;
	div_ocx.style.width = "770px";
	//zld 2010/9/11
	WebClient.style.width = "";
	WebClient.style.width = "770px";
	//zld 2010/10/12
	var isIE = /msie/i.test(navigator.userAgent); 
	if (isIE) 
	{
	    ocx_alt_label.style.display="";
	}
	
	WebClient.SetVisible(4 | (channel << 8));
	g_xmlhttp.open("get", "body_html/body_trace_set.html", false);
	SafeHttpSend(g_xmlhttp, null);
// 	g_xmlhttp.onreadystatechange = function ()
	{
		if(g_xmlhttp.readyState == 4)
		{
			div_live.innerHTML = g_xmlhttp.responseText;
            GenSelectListEx(trace_channel_list, g_channelList);
            trace_channel_list.value = channel;
            g_xmlhttp.open("get", "body_html/body_ptz_ctrlpane.html", false);
            SafeHttpSend(g_xmlhttp, null);
//             g_xmlhttp.onreadystatechange = function ()
	        {
	            if(g_xmlhttp.readyState == 4)
		        {
                    div_ptz_pane.innerHTML = g_xmlhttp.responseText;
			        CreateSlider(div_speed, speed_bk, speed_thumb, speed_tip, 1, 8);
			        SetSliderPos(speed_bk, speed_thumb, 4);
                    EdgeCtrl(div_ocx,32);
                    ApplyXmlLang("cfg_track_set.xml");
                    
                    StopPTZCurrentAction(channel);
			    }
			}
		}
	}
	
	//zld 2010/9/1
	if (document.getElementById("div_ocx").offsetHeight>document.getElementById("div_live").offsetHeight) 
	{
	    var div_live_height= document.getElementById("div_ocx").offsetHeight+5;
	    document.getElementById("div_live").style.height = "";
	    document.getElementById("div_live").style.height = div_live_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_live_height+"px";
	    
	    //zld 2010/10/14
	    if (!isIE) 
        {
            var work_area_height = div_live_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
        }
	}
	else
	{
	    var div_ocx_height= document.getElementById("div_live").offsetHeight-5;
	    document.getElementById("div_ocx").style.height = "";
	    document.getElementById("div_ocx").style.height = div_ocx_height+"px";
	    //zld 2010/10/9
	    WebClient.style.height = div_ocx_height+"px";
	    
	    //zld 2010/10/14
	    if (!isIE) 
        {
            var work_area_height = div_ocx_height+40;
            document.getElementById("work_area").style.height =work_area_height+"px";
        }
	}
    
}

function ExitTraceSet()
{
    if(btn_record_trace_stop.style.display == "")
    {
        RecordTrack(false);
    }
    WebClient.SetVisible(0);
    //zld 2010/9/2
    div_ocx.style.width="0px";
    div_ocx.style.height="0px";
	//div_ocx.style.display = "none";
	//<DEL BEGIN>
	//zld 2010/9/13
    WebClient.style.width="0px";
    WebClient.style.height="0px";
	//WebClient.style.display = "none";
	div_live.style.display = "none";
	div_live.innerHTML = "";
	div_config.style.display = "";
	Align();
	EdgeCtrl(div_config_index,72);
}

function StopPTZCurrentAction(channel)
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_PTZ_STOP_ACTION+"\">\r\n";
    strRequest += "<parameter>" + channel + "</parameter>\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    WebClient.ExcuteCmd(strRequest);
}

function CheckAllChannel(obj)
{
    if(obj.checked)
    {
        WebClient.SetVisible(5 | (g_liveSelChannel << 8));
        g_bDisplayAllCh = true;
    }
    else
    {
        WebClient.SetVisible(4 | (g_liveSelChannel << 8));
        g_bDisplayAllCh = false;
    }
}
