﻿// JScript 文件
var g_CurPage=0;
function CreateGrid(itemHeight, totalWidth, itemNum, bgColor, borderColor, itemText)
{
	var div_grid = 0;
	var div_subitem = 0;
	var strSubInnerHTML = "";
	var itemWidth = totalWidth/itemNum-1;	//减1是因为要设置右边框
	
	div_grid = document.createElement("div");
	div_subitem = document.createElement("div");
	div_subitem.style.cssText = "width:"+itemWidth+"px;height:"+itemHeight+";margin:auto;position:relative;background-color:"+bgColor+";border-right:solid 1px "+borderColor+";float:left;";
	for(var i = 0; i < itemNum; i++)
	{
		div_subitem.index = i;
		if(itemText != null)
		{
		    //zld 2010/8/27 innerText不支持&nbsp;
			//div_subitem.innerText = itemText[i];
			div_subitem.innerHTML =itemText[i];
		}
		strSubInnerHTML += div_subitem.outerHTML;
	}
	div_grid.innerHTML = strSubInnerHTML;
	return div_grid;
}

function RecDataTimeShow(bg_div, title)
{
	var totalWidth = 480;
	var itemHeight = 16;
	var titleWidth = 80;
	var title_div = 0;
	var tick_div = 0;
	var timeinfo_div = 0;
	var popupinfo_div = 0;
	var pointer_div = 0;
	var strInnerHTML = "";
	//创建标题
	title_div = document.createElement("div");
	title_div.style.cssText = "margin:auto;border:solid 1px;height:"+itemHeight+"px;width:"+(titleWidth-3)+"px;position:relative;text-align:center;float:left;";
	title_div.innerHTML = title;
	strInnerHTML += title_div.outerHTML;
	//创建刻度
	var itemText = new Array(6);
	for(var i = 0; i < 6; i++)
	{
	    //zld 2010/8/27 safari 不支持" "代表空格，只能用&nbsp;
		//itemText[i] = " " + AlignTime(i*4) + ":00";
		itemText[i] = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + AlignTime(i*4) + ":00";
		
	}
	tick_div = CreateGrid(itemHeight, totalWidth, 6,timeSearchHead,timeSearchHeadBorder, itemText);/*"#D4E8FE""#000000"*/
	tick_div.style.cssText = "margin:auto;width:"+totalWidth+"px;height:"+itemHeight+"px;position:relative;border-top:solid 1px;border-bottom:solid 1px;border-right:solid 1px;float:left;text-align:left;";
	strInnerHTML += tick_div.outerHTML;
	
	//创建通道标题
	title_div.style.cssText = "margin:auto;border-left:solid 1px;border-bottom:solid 1px;border-right:solid 1px;height:"+itemHeight+"px;width:"+(titleWidth-3)+"px;position:relative;text-align:center;float:left;";
	//创建排程设置区域
	timeinfo_div = CreateGrid(itemHeight, totalWidth, 24, timeSearchEare,timeSearchEareBorder);/*"#FFFFFF" "#d0c0ff"*/
	for(var channel = 1; channel <= g_channelList.length; channel++)
	{
	    title_div.innerHTML = str_ch+" "+channel;
	    strInnerHTML += title_div.outerHTML;
	    timeinfo_div.id = "div_time_info0" + channel;
	    timeinfo_div.index = channel;
	    timeinfo_div.style.cssText = "margin:auto;width:"+totalWidth+"px;height:"+itemHeight+"px;position:relative;border-bottom:solid 1px;border-right:solid 1px;float:left;";	
	    strInnerHTML += timeinfo_div.outerHTML;
	}

	bg_div.innerHTML = strInnerHTML;
}

//zld 2011/1/6
function RecDataTimeShow_Channel(bg_div, title,StartChannel,EndChannel)
{
	var totalWidth = 480;
	var itemHeight = 16;
	var titleWidth = 80;
	var title_div = 0;
	var tick_div = 0;
	var timeinfo_div = 0;
	var popupinfo_div = 0;
	var pointer_div = 0;
	var strInnerHTML = "";
	//创建标题
	title_div = document.createElement("div");
	title_div.style.cssText = "margin:auto;border:solid 1px;height:"+itemHeight+"px;width:"+(titleWidth-3)+"px;position:relative;text-align:center;float:left;";
	title_div.innerHTML = title;
	strInnerHTML += title_div.outerHTML;
	//创建刻度
	var itemText = new Array(6);
	for(var i = 0; i < 6; i++)
	{
	    //zld 2010/8/27 safari 不支持" "代表空格，只能用&nbsp;
		//itemText[i] = " " + AlignTime(i*4) + ":00";
		itemText[i] = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + AlignTime(i*4) + ":00";
		
	}
	tick_div = CreateGrid(itemHeight, totalWidth, 6,timeSearchHead,timeSearchHeadBorder, itemText);/*"#D4E8FE""#000000"*/
	tick_div.style.cssText = "margin:auto;width:"+totalWidth+"px;height:"+itemHeight+"px;position:relative;border-top:solid 1px;border-bottom:solid 1px;border-right:solid 1px;float:left;text-align:left;";
	strInnerHTML += tick_div.outerHTML;
	
	//创建通道标题
	title_div.style.cssText = "margin:auto;border-left:solid 1px;border-bottom:solid 1px;border-right:solid 1px;height:"+itemHeight+"px;width:"+(titleWidth-3)+"px;position:relative;text-align:center;float:left;";
	//创建排程设置区域
	timeinfo_div = CreateGrid(itemHeight, totalWidth, 24, timeSearchEare,timeSearchEareBorder);/*"#FFFFFF" "#d0c0ff"*/
	
	for(var channel = StartChannel; channel <= EndChannel; channel++)
	{
	    title_div.innerHTML = str_ch+" "+channel;
	    strInnerHTML += title_div.outerHTML;
	    timeinfo_div.id = "div_time_info0" + channel;
	    timeinfo_div.index = channel;
	    timeinfo_div.style.cssText = "margin:auto;width:"+totalWidth+"px;height:"+itemHeight+"px;position:relative;border-bottom:solid 1px;border-right:solid 1px;float:left;";	
	    strInnerHTML += timeinfo_div.outerHTML;
	}
	
	bg_div.innerHTML = strInnerHTML;
}

function ClearTimeInfo(bg_div)
{
    //zld 2011/1/6
	if(g_channelList.length<=16)
	{
	    for(var channel = 1; channel <= g_channelList.length; channel++)
	    {
		    var timeinfo_div = document.getElementById("div_time_info0"+channel);
		    if(timeinfo_div == null)
		    {
			    continue;
		    }
		    var timeinfo_item_div = timeinfo_div.getElementsByTagName("div");
		    while(timeinfo_item_div.length > 24)
		    {
			    timeinfo_div.removeChild(timeinfo_item_div[24]);
		    }
	    }
	}
	else
	{
	    for(var channel = 1; channel <= 8; channel++)
	    {
		    var timeinfo_div = document.getElementById("div_time_info0"+channel);
		    if(timeinfo_div == null)
		    {
			    continue;
		    }
		    var timeinfo_item_div = timeinfo_div.getElementsByTagName("div");
		    while(timeinfo_item_div.length > 24)
		    {
			    timeinfo_div.removeChild(timeinfo_item_div[24]);
		    }
	    }
	}
	
}

//channel从1开始计数
function SetTimeInfo(bg_div, timeSecArray, channel)
{
	if(channel <= 0)
	{
		window.alert("通道从1计数");
		return;
	}
	var timeinfo_div = document.getElementById("div_time_info0"+channel);
	if(timeinfo_div == null)
	{
		return;
	}
	var timeinfo_item_div = timeinfo_div.getElementsByTagName("div");
	var time_section_div = document.createElement("div");
	time_section_div.style.cssText = "background-color:#8080ff; border:0; position:absolute;";
	//zld 2010/9/6
	//time_section_div.style.height = timeinfo_item_div[0].style.height;
	time_section_div.style.height = "16px";
	timeinfo_div.appendChild(time_section_div);
	
	var offsetLeft = 0;
	var offsetTop = timeinfo_item_div[0].offsetTop;
	
	var offsetParent = timeinfo_div;
	while(offsetParent != time_section_div.offsetParent)
	{
	    offsetLeft += offsetParent.offsetLeft;
	    offsetTop += offsetParent.offsetTop;
	    offsetParent = offsetParent.offsetParent;
	}
	
	var divArray = new Array();
	var length = timeSecArray.length;
	
	for(var i = 0; i < length; i++)
	{
	    var minObjIndex = 0;
	    for(var j = 1; j < timeSecArray.length; j++)
	    {
	        if(timeSecArray[minObjIndex].startTime > timeSecArray[j].startTime)
	        {
	            minObjIndex = j;
	        }
	    }
	    
	    var newStart = Math.floor(timeSecArray[minObjIndex].startTime/3600/24*timeinfo_div.offsetWidth);
	    var newEnd = Math.floor(timeSecArray[minObjIndex].endTime/3600/24*timeinfo_div.offsetWidth);
	    if(divArray.length > 0)
	    {
	        if(newStart <= divArray[divArray.length-1].endPos)
	        {
	            divArray[divArray.length-1].endPos = Math.max(newEnd, divArray[divArray.length-1].endPos);
	        }
	        else
	        {
	            divArray[divArray.length] = new Object();
	            divArray[divArray.length-1].startPos = newStart;
	            divArray[divArray.length-1].endPos = newEnd;
	        }
	    }
	    else
	    {
	        divArray[divArray.length] = new Object();
	        divArray[divArray.length-1].startPos = newStart;
	        divArray[divArray.length-1].endPos = newEnd;
	    }
	    timeSecArray.splice(minObjIndex, 1);
	}
	
	for(i = 0; i < divArray.length; i++)
	{
//	    time_section_div.style.left = divArray[i].startPos + offsetLeft;
//	    time_section_div.style.top = offsetTop;
//	    time_section_div.style.width = divArray[i].endPos - divArray[i].startPos+1;
//	    if(i < (divArray.length-1))
//	    {
//	        time_section_div = document.createElement("div");
//	        time_section_div.style.cssText = "background-color:#8080ff; border:0; position:absolute;";
//	        time_section_div.style.height = timeinfo_item_div[0].style.height;
//	        timeinfo_div.appendChild(time_section_div);
//	    }

	    //zld 2010/9/6
	    var time_section_div_left=divArray[i].startPos + offsetLeft;
	    var time_section_div_top=offsetTop;
	    var time_section_div_width=divArray[i].endPos - divArray[i].startPos+1;
	    time_section_div.style.left = time_section_div_left+"px";
	    time_section_div.style.top = time_section_div_top+"px";
	    time_section_div.style.width = time_section_div_width+"px";
	    if(i < (divArray.length-1))
	    {
	        time_section_div = document.createElement("div");
	        time_section_div.style.cssText = "background-color:#8080ff; border:0; position:absolute;";
	        //var time_section_div_height=timeinfo_item_div[0].style.height;
	        time_section_div.style.height = "16px";
	        timeinfo_div.appendChild(time_section_div);
	    }
	}
}

function GotoLastPage_timesearch()
{   
    if (g_CurPage>=g_channelList.length/8-1) 
    {
        alert("最后一页");
        return;
    }
    g_CurPage = g_channelList.length/8-1;
    var StartChannel=g_channelList.length-8+1;
    var EndChannel=g_channelList.length;
    RecDataTimeShow_Channel(time_search_hour,"",StartChannel,EndChannel);
    ShowRecTimeInfo();
    time_search_list_page.innerHTML = g_CurPage+1+"/"+g_channelList.length/8;
}
function GotoNextPage_timesearch()
{
    if (g_CurPage>=g_channelList.length/8-1) 
    {
        alert("最后一页");
        return;
    }
    g_CurPage++;
    var StartChannel=g_CurPage*8+1;
    var EndChannel=g_CurPage*8+8;
    RecDataTimeShow_Channel(time_search_hour,"",StartChannel,EndChannel);
    ShowRecTimeInfo();
    time_search_list_page.innerHTML = g_CurPage+1+"/"+g_channelList.length/8;
}
function GotoPrevPage_timesearch()
{
    if (g_CurPage<=0) 
    {
        alert("已经是第一页");
        return;
    }
    g_CurPage--;
    var StartChannel=g_CurPage*8+1;
    var EndChannel=g_CurPage*8+8;
    RecDataTimeShow_Channel(time_search_hour,"",StartChannel,EndChannel);
    ShowRecTimeInfo();
    time_search_list_page.innerHTML = g_CurPage+1+"/"+g_channelList.length/8;
}
function GotoFirstPage_timesearch()
{
    if (g_CurPage<=0) 
    {
        alert("已经是第一页");
        return;
    }
    g_CurPage=0;
    var StartChannel=1;
    var EndChannel=8;
    RecDataTimeShow_Channel(time_search_hour,"",StartChannel,EndChannel);
    ShowRecTimeInfo();
    time_search_list_page.innerHTML = g_CurPage+1+"/"+g_channelList.length/8;  
}

